#include "optional-7-client.h"

int flick_marshal_stub_int_list(flick_marshal_stream_t _stream, const int_list *_data)
{
  flick_unsigned32_t _t0_temp_array_len;

  flick_sun_ptr_not_nil(struct int_node *, *_data, flick_unsigned32_t , _t0_temp_array_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(8, _flick_abort0);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _t0_temp_array_len, flick_unsigned32_t );
  flick_fluke_encode_end_chunk(4);
  if (_t0_temp_array_len)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, (*_data)->value, int );
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(8);
      if (flick_marshal_stub_int_list(_stream, &(*_data)->next))
        goto _flick_abort5;
      goto _flick_label1;
      {
      _flick_abort5:
        goto _flick_abort0;
      }
    }
  else
    {
      flick_fluke_encode_end_glob(8);
      goto _flick_label1;
      {
        goto _flick_abort0;
      }
    }
_flick_label1:
  ;
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_int_list(flick_marshal_stream_t _stream, int_list *_data)
{
  flick_unsigned32_t _t1_temp_array_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(8);
  flick_fluke_check_span(4, _flick_abort8);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _t1_temp_array_len, flick_unsigned32_t );
  flick_fluke_decode_end_chunk(4);
  if (_t1_temp_array_len)
    {
      {
        struct int_node *_t_alloc_ptr;

        _t_alloc_ptr = (struct int_node *)(sun_flick_alloc(sizeof(struct int_node )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort14);
        *_data = _t_alloc_ptr;
      }
      flick_fluke_check_span(4, _flick_abort15);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, (*_data)->value, int );
      flick_fluke_decode_end_chunk(4);
      flick_fluke_decode_end_glob(8);
      if (flick_unmarshal_stub_int_list(_stream, &(*_data)->next))
        goto _flick_abort15;
      goto _flick_label3;
      {
      _flick_abort15:
        sun_flick_free(*_data);
      _flick_abort14:
        goto _flick_abort8;
      }
    }
  else
    {
      *_data = 0;
      flick_fluke_decode_end_glob(8);
      goto _flick_label3;
      {
        goto _flick_abort8;
      }
    }
_flick_label3:
  ;
  return 0;
  {
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_int_node(flick_marshal_stream_t _stream, const struct int_node *_data)
{
  flick_unsigned32_t _t2_temp_array_len;

  flick_sun_ptr_not_nil(struct int_node *, _data->next, flick_unsigned32_t , _t2_temp_array_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(8, _flick_abort18);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_signed32(0, _data->value, int );
  flick_fluke_encode_unsigned32(4, _t2_temp_array_len, flick_unsigned32_t );
  flick_fluke_encode_end_chunk(8);
  if (_t2_temp_array_len)
    {
      flick_fluke_encode_end_glob(8);
      if (flick_marshal_stub_int_node(_stream, _data->next))
        goto _flick_abort23;
      goto _flick_label5;
      {
      _flick_abort23:
        goto _flick_abort18;
      }
    }
  else
    {
      flick_fluke_encode_end_glob(8);
      goto _flick_label5;
      {
        goto _flick_abort18;
      }
    }
_flick_label5:
  ;
  return 0;
  {
  _flick_abort18:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_int_node(flick_marshal_stream_t _stream, struct int_node *_data)
{
  flick_unsigned32_t _t3_temp_array_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(8);
  flick_fluke_check_span(8, _flick_abort26);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_signed32(0, _data->value, int );
  flick_fluke_decode_unsigned32(4, _t3_temp_array_len, flick_unsigned32_t );
  flick_fluke_decode_end_chunk(8);
  if (_t3_temp_array_len)
    {
      {
        struct int_node *_t_alloc_ptr;

        _t_alloc_ptr = (struct int_node *)(sun_flick_alloc(sizeof(struct int_node )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort32);
        _data->next = _t_alloc_ptr;
      }
      flick_fluke_decode_end_glob(8);
      if (flick_unmarshal_stub_int_node(_stream, _data->next))
        goto _flick_abort33;
      goto _flick_label7;
      {
      _flick_abort33:
        sun_flick_free(_data->next);
      _flick_abort32:
        goto _flick_abort26;
      }
    }
  else
    {
      _data->next = 0;
      flick_fluke_decode_end_glob(8);
      goto _flick_label7;
      {
        goto _flick_abort26;
      }
    }
_flick_label7:
  ;
  return 0;
  {
  _flick_abort26:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int_list *op_2(int_list *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int_list *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_unsigned32_t _t5_temp_array_len;

      flick_sun_ptr_not_nil(struct int_node *, *arg, flick_unsigned32_t , _t5_temp_array_len);

      flick_fluke_encode_new_glob(12, _flick_abort37);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, 1, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, _t5_temp_array_len, flick_unsigned32_t );
      flick_fluke_encode_end_chunk(8);
      if (_t5_temp_array_len)
        {
          flick_fluke_encode_new_chunk(4);
          flick_fluke_encode_signed32(0, (*arg)->value, int );
          flick_fluke_encode_end_chunk(4);
          flick_fluke_encode_end_glob(12);
          if (flick_marshal_stub_int_list(_stream, &(*arg)->next))
            goto _flick_abort50;
          goto _flick_label11;
          {
          _flick_abort50:
            goto _flick_abort37;
          }
        }
      else
        {
          flick_fluke_encode_end_glob(12);
          goto _flick_label11;
          {
            goto _flick_abort37;
          }
        }
    _flick_abort_block45:
      {
        _t5_temp_array_len = *arg != 0;
      }
    _flick_label11:
      ;
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort52);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(12);
      flick_fluke_check_span(4, _flick_abort52);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int_list _t8_storage;
            flick_unsigned32_t _t9_temp_array_len;

            /* Begin decode phase on parameters */
            _return = (int_list *)(&_t8_storage);
            flick_fluke_check_span(4, _flick_abort66);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _t9_temp_array_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(4);
            if (_t9_temp_array_len)
              {
                {
                  struct int_node *_t_alloc_ptr;

                  _t_alloc_ptr = (struct int_node *)(sun_flick_alloc(sizeof(struct int_node )));
                  if (!_t_alloc_ptr)
                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort72);
                  *_return = _t_alloc_ptr;
                }
                flick_fluke_check_span(4, _flick_abort73);
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, (*_return)->value, int );
                flick_fluke_decode_end_chunk(4);
                flick_fluke_decode_end_glob(12);
                if (flick_unmarshal_stub_int_list(_stream, &(*_return)->next))
                  goto _flick_abort73;
                goto _flick_label15;
                {
                _flick_abort73:
                  sun_flick_free(*_return);
                _flick_abort72:
                  goto _flick_abort66;
                }
              }
            else
              {
                *_return = 0;
                flick_fluke_decode_end_glob(12);
                goto _flick_label15;
                {
                  goto _flick_abort66;
                }
              }
          _flick_label15:
            ;
            break;
            {
            _flick_abort66:
              goto _flick_abort52;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(12);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort76);
            break;
            {
            _flick_abort76:
              goto _flick_abort52;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort77);
            flick_fluke_decode_end_glob(12);
            break;
            {
            _flick_abort77:
              goto _flick_abort52;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort52);
  return _return;
  {
  _flick_abort52:
    goto _flick_abort_block45;
  _flick_abort37:
    flick_sun_client_error(fluke, fluke, _flick_abort36);
  _flick_abort36:
    goto _flick_reaper;
  }
}

