#include "program-2-server.h"

int flick_marshal_stub_parm(flick_marshal_stream_t _stream, struct parm *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort0);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->data.data_len, unsigned int );
  if (_data->data.data_len > 100000)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(4 * _data->data.data_len, _flick_abort0);
  flick_fluke_encode_new_chunk(4 * _data->data.data_len);
  flick_fluke_encode_bcopy(0, _data->data.data_val, 4 * _data->data.data_len);
  flick_fluke_encode_end_chunk(4 * _data->data.data_len);
  flick_fluke_encode_end_glob(4 * _data->data.data_len);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_parm(flick_marshal_stream_t _stream, struct parm *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort3);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->data.data_len, unsigned int );
  if (_data->data.data_len > 100000)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(4 * _data->data.data_len);
  flick_fluke_check_span(4 * _data->data.data_len * 1, _flick_abort3);
  flick_fluke_decode_new_chunk(4 * _data->data.data_len);
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc(_data->data.data_len * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3);
    _data->data.data_val = _t_alloc_ptr;
  }
  flick_fluke_decode_bcopy(0, _data->data.data_val, 4 * _data->data.data_len);
  flick_fluke_decode_end_chunk(4 * _data->data.data_len);
  flick_fluke_decode_end_glob(4 * _data->data.data_len);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

mom_dispatch_action_t progname_1(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t2_switch_tag;

    flick_fluke_decode_new_glob(8);
    flick_fluke_check_span(8, _flick_abort9);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t2_switch_tag, signed int );
    flick_fluke_decode_end_chunk(4);
    switch ((signed int )_t2_switch_tag)
      {
      case (signed int) 10:
        {
          {
            int *_return;
            struct parm *_local_arg;
            struct parm _t3_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (struct parm *)(&_t3_storage);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_arg->data.data_len, unsigned int );
            if (_local_arg->data.data_len > 100000)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort23);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(4 * _local_arg->data.data_len);
            flick_fluke_check_span(4 * _local_arg->data.data_len * 1, _flick_abort23);
            flick_fluke_decode_new_chunk(4 * _local_arg->data.data_len);
            flick_fluke_decode_msgptr(0, _local_arg->data.data_val, int *);
            flick_fluke_decode_end_chunk(4 * _local_arg->data.data_len);
            flick_fluke_decode_end_glob(4 * _local_arg->data.data_len);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(8, _flick_abort23);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_signed32(0, *_return, int );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort31);
                    break;
                    {
                    _flick_abort31:
                      goto _flick_abort23;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort32);
                    flick_fluke_encode_end_glob(8);
                    break;
                    {
                    _flick_abort32:
                      goto _flick_abort23;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort23:
              goto _flick_abort22;
            }
          }
          break;
          {
          _flick_abort22:
            goto _flick_abort9;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort9);
          flick_fluke_decode_end_glob(8);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
  {
  _flick_abort9:
    flick_sun_server_error(fluke, fluke, _flick_reaper, _flick_abort8);
  _flick_abort8:
    return DISPATCH_ACK_SEND;
    goto _flick_reaper;
  }
_flick_reaper:
  return DISPATCH_NO_REPLY;
}

