#include "module_-client.h"
#include "module_-server.h"

static const CORBA::Long _oc_mod1_mod2_a[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    20, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d6f6431), ACE_NTOHL(0x2f6d6f64), ACE_NTOHL(0x322f613a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:mod1/mod2/a:1.0 */,
    2, ACE_NTOHL(0x61000000) /* name = a */,
    1 /* member count */,
    2, ACE_NTOHL(0x62000000) /* name = b */,
    CORBA::tk_short
};

static CORBA::TypeCode _tc_TAO_tc_mod1_mod2_a (CORBA::tk_struct, sizeof(_oc_mod1_mod2_a), (char *) &_oc_mod1_mod2_a, 0, sizeof(struct mod1::mod2::a ));

TAO_NAMESPACE_TYPE(CORBA::TypeCode_ptr)
TAO_NAMESPACE_BEGIN (mod1)
TAO_NAMESPACE_BEGIN (mod2)
TAO_NAMESPACE_DEFINE (CORBA::TypeCode_ptr, _tc_a, &_tc_TAO_tc_mod1_mod2_a)
TAO_NAMESPACE_END
TAO_NAMESPACE_END
void operator<<=(CORBA::Any &a, const struct mod1::mod2::a &o)
{
  struct mod1::mod2::a  *_any_val;
  ACE_NEW(_any_val, struct mod1::mod2::a  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(mod1::mod2::_tc_a, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct mod1::mod2::a *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(mod1::mod2::_tc_a, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct mod1::mod2::a *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(mod1::mod2::_tc_a, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct mod1::mod2::a  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct mod1::mod2::a , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(mod1::mod2::_tc_a, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(mod1::mod2::_tc_a, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

mod1::mod2::a_var::a_var()
  : ptr_(0)
{}

mod1::mod2::a_var::a_var(struct mod1::mod2::a *p)
 : ptr_(p)
{}

mod1::mod2::a_var::a_var(const mod1::mod2::a_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct mod1::mod2::a (*a.ptr_);
  else
    this->ptr_ = 0;
}

mod1::mod2::a_var::~a_var()
{
  delete this->ptr_;
}

mod1::mod2::a_var &mod1::mod2::a_var::operator=(struct mod1::mod2::a *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

mod1::mod2::a_var &mod1::mod2::a_var::operator=(const mod1::mod2::a_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct mod1::mod2::a (*p.ptr_);
  }
  return *this;
}

struct mod1::mod2::a *mod1::mod2::a_var::operator->()
{
  return this->ptr_;
}

const struct mod1::mod2::a *mod1::mod2::a_var::operator->() const
{
  return this->ptr_;
}

mod1::mod2::a_var::operator const struct mod1::mod2::a &() const
{
  return *this->ptr_;
}

mod1::mod2::a_var::operator struct mod1::mod2::a &()
{
  return *this->ptr_;
}

mod1::mod2::a_var::operator struct mod1::mod2::a &() const
{
  return *this->ptr_;
}

const struct mod1::mod2::a &mod1::mod2::a_var::in() const
{
  return *this->ptr_;
}

struct mod1::mod2::a &mod1::mod2::a_var::inout()
{
  return *this->ptr_;
}

struct mod1::mod2::a &mod1::mod2::a_var::out()
{
  return *this->ptr_;
}

struct mod1::mod2::a mod1::mod2::a_var::_retn()
{
  return *this->ptr_;
}

struct mod1::mod2::a *mod1::mod2::a_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_mod3_a[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    15, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d6f6433), ACE_NTOHL(0x2f613a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:mod3/a:1.0 */,
    2, ACE_NTOHL(0x61000000) /* name = a */,
    1 /* member count */,
    2, ACE_NTOHL(0x62000000) /* name = b */,
    CORBA::tk_short
};

static CORBA::TypeCode _tc_TAO_tc_mod3_a (CORBA::tk_struct, sizeof(_oc_mod3_a), (char *) &_oc_mod3_a, 0, sizeof(struct mod3::a ));

TAO_NAMESPACE_TYPE(CORBA::TypeCode_ptr)
TAO_NAMESPACE_BEGIN (mod3)
TAO_NAMESPACE_DEFINE (CORBA::TypeCode_ptr, _tc_a, &_tc_TAO_tc_mod3_a)
TAO_NAMESPACE_END
void operator<<=(CORBA::Any &a, const struct mod3::a &o)
{
  struct mod3::a  *_any_val;
  ACE_NEW(_any_val, struct mod3::a  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(mod3::_tc_a, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct mod3::a *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(mod3::_tc_a, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct mod3::a *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(mod3::_tc_a, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct mod3::a  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct mod3::a , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(mod3::_tc_a, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(mod3::_tc_a, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

mod3::a_var::a_var()
  : ptr_(0)
{}

mod3::a_var::a_var(struct mod3::a *p)
 : ptr_(p)
{}

mod3::a_var::a_var(const mod3::a_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct mod3::a (*a.ptr_);
  else
    this->ptr_ = 0;
}

mod3::a_var::~a_var()
{
  delete this->ptr_;
}

mod3::a_var &mod3::a_var::operator=(struct mod3::a *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

mod3::a_var &mod3::a_var::operator=(const mod3::a_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct mod3::a (*p.ptr_);
  }
  return *this;
}

struct mod3::a *mod3::a_var::operator->()
{
  return this->ptr_;
}

const struct mod3::a *mod3::a_var::operator->() const
{
  return this->ptr_;
}

mod3::a_var::operator const struct mod3::a &() const
{
  return *this->ptr_;
}

mod3::a_var::operator struct mod3::a &()
{
  return *this->ptr_;
}

mod3::a_var::operator struct mod3::a &() const
{
  return *this->ptr_;
}

const struct mod3::a &mod3::a_var::in() const
{
  return *this->ptr_;
}

struct mod3::a &mod3::a_var::inout()
{
  return *this->ptr_;
}

struct mod3::a &mod3::a_var::out()
{
  return *this->ptr_;
}

struct mod3::a mod3::a_var::_retn()
{
  return *this->ptr_;
}

struct mod3::a *mod3::a_var::ptr() const
{
  return this->ptr_;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct mod1::mod2::a *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(2, _flick_abort0);
  flick_iiopxx_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->b, CORBA::Short );
  flick_iiopxx_encode_end_chunk(2);
  flick_iiopxx_encode_end_glob(2);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct mod1::mod2::a *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(2);
  flick_iiopxx_check_span(2, _flick_abort1);
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->b, CORBA::Short );
  flick_iiopxx_decode_end_chunk(2);
  flick_iiopxx_decode_end_glob(2);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, struct mod1::mod2::a *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(2);
  flick_iiopxx_check_span(2, _flick_abort2);
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->b, CORBA::Short );
  flick_iiopxx_decode_end_chunk(2);
  flick_iiopxx_decode_end_glob(2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct mod3::a *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(2, _flick_abort3);
  flick_iiopxx_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->b, CORBA::Short );
  flick_iiopxx_encode_end_chunk(2);
  flick_iiopxx_encode_end_glob(2);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct mod3::a *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(2);
  flick_iiopxx_check_span(2, _flick_abort4);
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->b, CORBA::Short );
  flick_iiopxx_decode_end_chunk(2);
  flick_iiopxx_decode_end_glob(2);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, struct mod3::a *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(2);
  flick_iiopxx_check_span(2, _flick_abort5);
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->b, CORBA::Short );
  flick_iiopxx_decode_end_chunk(2);
  flick_iiopxx_decode_end_glob(2);
  return 0;
  {
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

