#include "ex-server.h"

/* This is the runtime type information */
char *flick_interface_parents_A[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_A;
	s.vers_num = _VERS_A;

	reg_success = flick_server_register(s, &A_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_A(flick_marshal_stream_t _stream, A *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_A(flick_marshal_stream_t _stream, A *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort1);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_A_B(flick_marshal_stream_t _stream, A_B *_data)
{
  flick_unsigned32_t _t0_temp_string_len;

  flick_xdr_stringlen(CORBA_char *, _data->d, flick_unsigned32_t , _t0_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(31, _flick_abort2);
  flick_suntcp_encode_new_chunk(8 + 1 * _t0_temp_string_len);
  flick_xdr_encode_signed16(0, _data->a, CORBA_short );
  flick_xdr_encode_unsigned32(4, _t0_temp_string_len, flick_unsigned32_t );
  if (_t0_temp_string_len + 1 > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2);
  flick_xdr_encode_bcopy(8, _data->d, 1 * _t0_temp_string_len);
  CORBA_flick_free(_data->d);
  flick_suntcp_encode_end_chunk(8 + 1 * _t0_temp_string_len);
  flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_encode_end_chunk(0);
  flick_suntcp_encode_end_glob(31);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_A_B(flick_marshal_stream_t _stream, A_B *_data)
{
  flick_unsigned32_t _t1_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(31);
  flick_suntcp_check_span(8, _flick_abort5);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed16(0, _data->a, CORBA_short );
  flick_xdr_decode_unsigned32(4, _t1_temp_string_len, flick_unsigned32_t );
  if (_t1_temp_string_len + 1 > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort5);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_check_span(1 * _t1_temp_string_len * 1, _flick_abort5);
  flick_suntcp_decode_new_chunk(1 * _t1_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(21 * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort5);
    _data->d = _t_alloc_ptr;
  }
  flick_xdr_decode_bcopy(0, _data->d, 1 * _t1_temp_string_len);
  flick_suntcp_decode_end_chunk(1 * _t1_temp_string_len);
  flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_check_span(0, _flick_abort8);
  _data->d[_t1_temp_string_len] = 0;
  flick_suntcp_decode_end_chunk(0);
  flick_suntcp_decode_end_glob(31);
  return 0;
  {
  _flick_abort8:
    CORBA_flick_free(_data->d);
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t A_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t20_switch_tag;

    flick_suntcp_decode_new_glob(44);
    flick_suntcp_check_span(36, _flick_abort11);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t20_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t20_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t21_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t21_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t21_switch_tag)
            {
            case 'o':
              {
                char _t22_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t22_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t22_switch_tag)
                  {
                  case 'p':
                    {
                      char _t23_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t23_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t23_switch_tag)
                        {
                        case 0:
                          {
                            {
                              A _obj;
                              unsigned int _t24_ignore;
                              CORBA_short _return;
                              CORBA_short _local_b;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t25_storage;

                              flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort49);
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(20);
                              flick_xdr_decode_unsigned32(0, _t24_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(4, _t24_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(8, _t24_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(12, _t24_ignore, unsigned int );
                              _return = 0;
                              flick_xdr_decode_signed16(16, _local_b, CORBA_short );
                              _ev = (CORBA_Environment *)(&_t25_storage);
                              flick_suntcp_decode_end_chunk(20);
                              flick_suntcp_decode_end_glob(44);
                              flick_suntcp_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = A_op(_obj, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort49);
                                flick_suntcp_encode_new_glob(87, _flick_abort49);
                                flick_suntcp_encode_new_chunk(4);
                                flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_suntcp_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed16(0, _return, CORBA_short );
                                      flick_suntcp_encode_end_chunk(4);
                                      flick_suntcp_encode_end_glob(87);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_suntcp_encode_end_glob(87);
                                      flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort62);
                                      break;
                                      {
                                      _flick_abort62:
                                        goto _flick_abort49;
                                      }
                                    }
                                  default:
                                    {
                                      switch ((unsigned int )(1+strlen(_ev->_id)))
                                        {
                                        case (unsigned int) 12:
                                          {
                                            switch (*(char *)(_ev->_id + 0))
                                              {
                                              case 'I':
                                                {
                                                  switch (*(char *)(_ev->_id + 1))
                                                    {
                                                    case 'D':
                                                      {
                                                        switch (*(char *)(_ev->_id + 2))
                                                          {
                                                          case 'L':
                                                            {
                                                              switch (*(char *)(_ev->_id + 3))
                                                                {
                                                                case ':':
                                                                  {
                                                                    switch (*(char *)(_ev->_id + 4))
                                                                      {
                                                                      case 'A':
                                                                        {
                                                                          switch (*(char *)(_ev->_id + 5))
                                                                            {
                                                                            case '/':
                                                                              {
                                                                                switch (*(char *)(_ev->_id + 6))
                                                                                  {
                                                                                  case 'B':
                                                                                    {
                                                                                      switch (*(char *)(_ev->_id + 7))
                                                                                        {
                                                                                        case ':':
                                                                                          {
                                                                                            switch (*(char *)(_ev->_id + 8))
                                                                                              {
                                                                                              case '1':
                                                                                                {
                                                                                                  switch (*(char *)(_ev->_id + 9))
                                                                                                    {
                                                                                                    case '.':
                                                                                                      {
                                                                                                        switch (*(char *)(_ev->_id + 10))
                                                                                                          {
                                                                                                          case '0':
                                                                                                            {
                                                                                                              switch (*(char *)(_ev->_id + 11))
                                                                                                                {
                                                                                                                case 0:
                                                                                                                  {
                                                                                                                    flick_unsigned32_t _t29_temp_string_len;

                                                                                                                    flick_xdr_stringlen(CORBA_char *, ((A_B *)(_ev->_value._user_except))->d, flick_unsigned32_t , _t29_temp_string_len);

                                                                                                                    flick_suntcp_encode_new_chunk(60 + 1 * _t29_temp_string_len);
                                                                                                                    flick_xdr_encode_unsigned32(0, 12, flick_unsigned32_t );
                                                                                                                    flick_xdr_encode_char8(4, 'I', flick_char8_t );
                                                                                                                    flick_xdr_encode_char8(8, 'D', flick_char8_t );
                                                                                                                    flick_xdr_encode_char8(12, 'L', flick_char8_t );
                                                                                                                    flick_xdr_encode_char8(16, ':', flick_char8_t );
                                                                                                                    flick_xdr_encode_char8(20, 'A', flick_char8_t );
                                                                                                                    flick_xdr_encode_char8(24, '/', flick_char8_t );
                                                                                                                    flick_xdr_encode_char8(28, 'B', flick_char8_t );
                                                                                                                    flick_xdr_encode_char8(32, ':', flick_char8_t );
                                                                                                                    flick_xdr_encode_char8(36, '1', flick_char8_t );
                                                                                                                    flick_xdr_encode_char8(40, '.', flick_char8_t );
                                                                                                                    flick_xdr_encode_char8(44, '0', flick_char8_t );
                                                                                                                    flick_xdr_encode_char8(48, 0, flick_char8_t );
                                                                                                                    flick_xdr_encode_signed16(52, ((A_B *)(_ev->_value._user_except))->a, CORBA_short );
                                                                                                                    flick_xdr_encode_unsigned32(56, _t29_temp_string_len, flick_unsigned32_t );
                                                                                                                    if (_t29_temp_string_len + 1 > 21)
                                                                                                                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort68);
                                                                                                                    flick_xdr_encode_bcopy(60, ((A_B *)(_ev->_value._user_except))->d, 1 * _t29_temp_string_len);
                                                                                                                    CORBA_flick_free(((A_B *)(_ev->_value._user_except))->d);
                                                                                                                    flick_suntcp_encode_end_chunk(60 + 1 * _t29_temp_string_len);
                                                                                                                    flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
                                                                                                                    CORBA_flick_free((A_B *)(_ev->_value._user_except));
                                                                                                                    flick_suntcp_encode_end_chunk(0);
                                                                                                                    break;
                                                                                                                    {
                                                                                                                    _flick_abort68:
                                                                                                                      goto _flick_abort63;
                                                                                                                    }
                                                                                                                  }
                                                                                                                default:
                                                                                                                  {
                                                                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort63);
                                                                                                                    break;
                                                                                                                  }
                                                                                                                }
                                                                                                              break;
                                                                                                            }
                                                                                                          default:
                                                                                                            {
                                                                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort63);
                                                                                                              break;
                                                                                                            }
                                                                                                          }
                                                                                                        break;
                                                                                                      }
                                                                                                    default:
                                                                                                      {
                                                                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort63);
                                                                                                        break;
                                                                                                      }
                                                                                                    }
                                                                                                  break;
                                                                                                }
                                                                                              default:
                                                                                                {
                                                                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort63);
                                                                                                  break;
                                                                                                }
                                                                                              }
                                                                                            break;
                                                                                          }
                                                                                        default:
                                                                                          {
                                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort63);
                                                                                            break;
                                                                                          }
                                                                                        }
                                                                                      break;
                                                                                    }
                                                                                  default:
                                                                                    {
                                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort63);
                                                                                      break;
                                                                                    }
                                                                                  }
                                                                                break;
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort63);
                                                                                break;
                                                                              }
                                                                            }
                                                                          break;
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort63);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort63);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort63);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort63);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort63);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort63);
                                            break;
                                          }
                                        }
                                      flick_suntcp_encode_end_glob(87);
                                      break;
                                      {
                                      _flick_abort63:
                                        goto _flick_abort49;
                                      }
                                    }
                                  }
                              }
                              flick_suntcp_server_end_encode();
                              break;
                              {
                              _flick_abort49:
                                goto _flick_abort48;
                              }
                            }
                            break;
                            {
                            _flick_abort48:
                              goto _flick_abort11;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort11);
                            flick_suntcp_decode_end_glob(44);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort11);
                      flick_suntcp_decode_end_glob(44);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort11);
                flick_suntcp_decode_end_glob(44);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t30_switch_tag;

          flick_suntcp_check_span(40, _flick_abort11);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t30_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t30_switch_tag)
            {
            case 'i':
              {
                char _t31_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t31_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t31_switch_tag)
                  {
                  case 's':
                    {
                      char _t32_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t32_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t32_switch_tag)
                        {
                        case '_':
                          {
                            char _t33_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t33_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t33_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t34_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t34_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t34_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_Object _obj;
                                          unsigned int _t35_ignore;
                                          CORBA_boolean _return;
                                          CORBA_char *_local_id;
                                          flick_unsigned32_t _t36_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t37_storage;
                                          char **_par;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort72);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t35_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t35_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t35_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t35_ignore, unsigned int );
                                          _return = 0;
                                          flick_xdr_decode_unsigned32(16, _t36_temp_string_len, flick_unsigned32_t );
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_decode_end_glob(44);
                                          flick_suntcp_decode_new_glob(1 * _t36_temp_string_len);
                                          flick_suntcp_check_span(1 * _t36_temp_string_len * 1, _flick_abort72);
                                          flick_suntcp_decode_new_chunk(1 * _t36_temp_string_len);
                                          if ((_t36_temp_string_len + 3) & ~3)
                                            {
                                              flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                            }
                                          else
                                            {
                                              {
                                                CORBA_char *_t_alloc_ptr;

                                                _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t36_temp_string_len + 1) * sizeof(CORBA_char )));
                                                if (!_t_alloc_ptr)
                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort72);
                                                _local_id = _t_alloc_ptr;
                                              }
                                              flick_xdr_decode_bcopy(0, _local_id, 1 * _t36_temp_string_len);
                                            }
                                          flick_suntcp_decode_end_chunk(1 * _t36_temp_string_len);
                                          flick_suntcp_decode_end_glob(1 * _t36_temp_string_len);
                                          flick_suntcp_decode_new_glob(3);
                                          flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                          flick_suntcp_check_span(0, _flick_abort75);
                                          _local_id[_t36_temp_string_len] = 0;
                                          _ev = (CORBA_Environment *)(&_t37_storage);
                                          _par = flick_interface_parents_A;
                                          flick_suntcp_decode_end_chunk(0);
                                          flick_suntcp_decode_end_glob(3);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort75);
                                            flick_suntcp_encode_new_glob(8, _flick_abort75);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort81);
                                                  break;
                                                  {
                                                  _flick_abort81:
                                                    goto _flick_abort75;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort82);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort82:
                                                    goto _flick_abort75;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort75:
                                            auto_flick_free(_local_id);
                                          _flick_abort72:
                                            goto _flick_abort71;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort71:
                                          goto _flick_abort11;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort11);
                                        flick_suntcp_decode_end_glob(44);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort11);
                                  flick_suntcp_decode_end_glob(44);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort11);
                            flick_suntcp_decode_end_glob(44);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort11);
                      flick_suntcp_decode_end_glob(44);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort11);
                flick_suntcp_decode_end_glob(44);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort11);
          flick_suntcp_decode_end_glob(44);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort11:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort10);
  _flick_abort10:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

