#include "sunstat-server.h"

/* This is the runtime type information */
char *flick_interface_parents_PROGNAME[] = {
	0
};

char *flick_interface_parents_VERSNAME[] = {
	"IDL:PROGNAME:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = PROGNAME;
	s.vers_num = VERSNAME;

	reg_success = flick_server_register(s, &progname_2);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
flick_operation_success_t progname_2(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t4_switch_tag;

    flick_trapeze_decode_new_glob(12);
    flick_trapeze_check_span(12, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_xdr_decode_signed32(0, _t4_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t4_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            int *_return;
            directory *_local_arg;
            directory _t5_storage;

            flick_trapeze_server_decode_target(_obj, 0, xdr, _flick_abort32);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_xdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (directory *)(&_t5_storage);
            flick_xdr_decode_unsigned32(4, _local_arg->directory_len, unsigned int );
            flick_trapeze_server_decode_array(_local_arg->directory_val, sizeof(struct entry ) * _local_arg->directory_len);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = dirlst_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, xdr, _flick_abort32);
              flick_trapeze_encode_new_glob(8, _flick_abort32);
              flick_trapeze_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_trapeze_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_xdr_encode_signed32(0, *_return, int );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case -1:
                  {
                    flick_sun_encode_system_exception(flick_errno, xdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort39);
                    break;
                    {
                    _flick_abort39:
                      goto _flick_abort32;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(8);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort32:
              goto _flick_abort31;
            }
          }
          break;
          {
          _flick_abort31:
            goto _flick_abort2;
          }
        }
      case (signed int) 2:
        {
          {
            struct svc_req *_obj;
            int *_return;
            longlist *_local_arg;
            longlist _t6_storage;

            flick_trapeze_server_decode_target(_obj, 0, xdr, _flick_abort41);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_xdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (longlist *)(&_t6_storage);
            flick_xdr_decode_unsigned32(4, _local_arg->longlist_len, unsigned int );
            flick_trapeze_server_decode_array(_local_arg->longlist_val, 4 * _local_arg->longlist_len);
#if BYTE_ORDER != BIG_ENDIAN
            flick_trapeze_array_swap32(_local_arg->longlist_val, 4 * _local_arg->longlist_len);
#endif /* ENDIANness */
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = lng_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, xdr, _flick_abort41);
              flick_trapeze_encode_new_glob(8, _flick_abort41);
              flick_trapeze_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_trapeze_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_xdr_encode_signed32(0, *_return, int );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case -1:
                  {
                    flick_sun_encode_system_exception(flick_errno, xdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort48);
                    break;
                    {
                    _flick_abort48:
                      goto _flick_abort41;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(8);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort41:
              goto _flick_abort40;
            }
          }
          break;
          {
          _flick_abort40:
            goto _flick_abort2;
          }
        }
      case (signed int) 3:
        {
          {
            struct svc_req *_obj;
            int *_return;
            structlist *_local_arg;
            structlist _t7_storage;

            flick_trapeze_server_decode_target(_obj, 0, xdr, _flick_abort50);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_xdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (structlist *)(&_t7_storage);
            flick_xdr_decode_unsigned32(4, _local_arg->structlist_len, unsigned int );
            flick_trapeze_server_decode_array(_local_arg->structlist_val, sizeof(struct outer ) * _local_arg->structlist_len);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = strct_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, xdr, _flick_abort50);
              flick_trapeze_encode_new_glob(8, _flick_abort50);
              flick_trapeze_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_trapeze_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_xdr_encode_signed32(0, *_return, int );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case -1:
                  {
                    flick_sun_encode_system_exception(flick_errno, xdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort57);
                    break;
                    {
                    _flick_abort57:
                      goto _flick_abort50;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(8);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort50:
              goto _flick_abort49;
            }
          }
          break;
          {
          _flick_abort49:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(12);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_sun_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

