#include "test1-client.h"

/* This is the runtime type information */
char *flick_interface_parents_test1[] = {
	0
};

/* */

void test1_test_void(test1 _obj, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;

  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort1);
  }
  {
    flick_trapeze_encode_new_glob(8, _flick_abort1);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 0, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_check_span(4, _flick_abort1);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort9);
            break;
            {
            _flick_abort9:
              goto _flick_abort1;
            }
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return;
  {
  _flick_abort1:
    flick_corba_client_error(cdr, trapeze, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return;
}

CORBA_short test1_test_short(test1 _obj, CORBA_short a1, CORBA_short *a2, CORBA_short *a3, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_short _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort11);
  }
  {
    flick_trapeze_encode_new_glob(12, _flick_abort11);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 1, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(8, a1, CORBA_short );
    flick_cdr_encode_signed16(10, *a3, CORBA_short );
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort11);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(10);
      flick_trapeze_check_span(4, _flick_abort11);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(6, _flick_abort17);
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_signed16(0, _return, CORBA_short );
            flick_cdr_decode_signed16(2, *a2, CORBA_short );
            flick_cdr_decode_signed16(4, *a3, CORBA_short );
            flick_trapeze_decode_end_chunk(6);
            break;
            {
            _flick_abort17:
              goto _flick_abort11;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort19);
            break;
            {
            _flick_abort19:
              goto _flick_abort11;
            }
          }
        }
      flick_trapeze_decode_end_glob(10);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort11:
    flick_corba_client_error(cdr, trapeze, _flick_abort10);
  _flick_abort10:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long test1_test_long(test1 _obj, CORBA_long a1, CORBA_long *a2, CORBA_long *a3, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort21);
  }
  {
    flick_trapeze_encode_new_glob(16, _flick_abort21);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 2, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, a1, CORBA_long );
    flick_cdr_encode_signed32(12, *a3, CORBA_long );
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort21);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(16);
      flick_trapeze_check_span(4, _flick_abort21);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(12, _flick_abort27);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_signed32(0, _return, CORBA_long );
            flick_cdr_decode_signed32(4, *a2, CORBA_long );
            flick_cdr_decode_signed32(8, *a3, CORBA_long );
            flick_trapeze_decode_end_chunk(12);
            break;
            {
            _flick_abort27:
              goto _flick_abort21;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort29);
            break;
            {
            _flick_abort29:
              goto _flick_abort21;
            }
          }
        }
      flick_trapeze_decode_end_glob(16);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort21:
    flick_corba_client_error(cdr, trapeze, _flick_abort20);
  _flick_abort20:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

test1_ushort test1_test_ushort(test1 _obj, test1_ushort a1, test1_ushort *a2, test1_ushort *a3, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  test1_ushort _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort31);
  }
  {
    flick_trapeze_encode_new_glob(12, _flick_abort31);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 3, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned16(8, a1, CORBA_unsigned_short );
    flick_cdr_encode_unsigned16(10, *a3, CORBA_unsigned_short );
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort31);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(10);
      flick_trapeze_check_span(4, _flick_abort31);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(6, _flick_abort37);
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned16(0, _return, CORBA_unsigned_short );
            flick_cdr_decode_unsigned16(2, *a2, CORBA_unsigned_short );
            flick_cdr_decode_unsigned16(4, *a3, CORBA_unsigned_short );
            flick_trapeze_decode_end_chunk(6);
            break;
            {
            _flick_abort37:
              goto _flick_abort31;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort39);
            break;
            {
            _flick_abort39:
              goto _flick_abort31;
            }
          }
        }
      flick_trapeze_decode_end_glob(10);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort31:
    flick_corba_client_error(cdr, trapeze, _flick_abort30);
  _flick_abort30:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

test1_ulong test1_test_ulong(test1 _obj, test1_ulong a1, test1_ulong *a2, test1_ulong *a3, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  test1_ulong _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort41);
  }
  {
    flick_trapeze_encode_new_glob(16, _flick_abort41);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 4, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, a1, CORBA_unsigned_long );
    flick_cdr_encode_unsigned32(12, *a3, CORBA_unsigned_long );
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort41);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(16);
      flick_trapeze_check_span(4, _flick_abort41);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(12, _flick_abort47);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _return, CORBA_unsigned_long );
            flick_cdr_decode_unsigned32(4, *a2, CORBA_unsigned_long );
            flick_cdr_decode_unsigned32(8, *a3, CORBA_unsigned_long );
            flick_trapeze_decode_end_chunk(12);
            break;
            {
            _flick_abort47:
              goto _flick_abort41;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort49);
            break;
            {
            _flick_abort49:
              goto _flick_abort41;
            }
          }
        }
      flick_trapeze_decode_end_glob(16);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort41:
    flick_corba_client_error(cdr, trapeze, _flick_abort40);
  _flick_abort40:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_float test1_test_float(test1 _obj, CORBA_float a1, CORBA_float *a2, CORBA_float *a3, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_float _return;

  _return = 0.000000;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort51);
  }
  {
    flick_trapeze_encode_new_glob(16, _flick_abort51);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_float32(8, a1, CORBA_float );
    flick_cdr_encode_float32(12, *a3, CORBA_float );
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort51);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(16);
      flick_trapeze_check_span(4, _flick_abort51);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(12, _flick_abort57);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_float32(0, _return, CORBA_float );
            flick_cdr_decode_float32(4, *a2, CORBA_float );
            flick_cdr_decode_float32(8, *a3, CORBA_float );
            flick_trapeze_decode_end_chunk(12);
            break;
            {
            _flick_abort57:
              goto _flick_abort51;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort59);
            break;
            {
            _flick_abort59:
              goto _flick_abort51;
            }
          }
        }
      flick_trapeze_decode_end_glob(16);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort51:
    flick_corba_client_error(cdr, trapeze, _flick_abort50);
  _flick_abort50:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_double test1_test_double(test1 _obj, CORBA_double a1, CORBA_double *a2, CORBA_double *a3, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_double _return;

  _return = 0.000000;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort61);
  }
  {
    flick_trapeze_encode_new_glob(28, _flick_abort61);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 6, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_new_chunk_align(16, 3, 2, 0);
    flick_cdr_encode_float64(0, a1, CORBA_double );
    flick_cdr_encode_float64(8, *a3, CORBA_double );
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(28);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort61);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(32);
      flick_trapeze_check_span(4, _flick_abort61);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk_align(24, 3, 2, 0);
            flick_trapeze_check_span(24, _flick_abort67);
            flick_cdr_decode_float64(0, _return, CORBA_double );
            flick_cdr_decode_float64(8, *a2, CORBA_double );
            flick_cdr_decode_float64(16, *a3, CORBA_double );
            flick_trapeze_decode_end_chunk(24);
            break;
            {
            _flick_abort67:
              goto _flick_abort61;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort69);
            break;
            {
            _flick_abort69:
              goto _flick_abort61;
            }
          }
        }
      flick_trapeze_decode_end_glob(32);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort61:
    flick_corba_client_error(cdr, trapeze, _flick_abort60);
  _flick_abort60:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_boolean test1_test_boolean(test1 _obj, CORBA_boolean a1, CORBA_boolean *a2, CORBA_boolean *a3, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_boolean _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort71);
  }
  {
    flick_trapeze_encode_new_glob(10, _flick_abort71);
    flick_trapeze_encode_new_chunk(10);
    flick_cdr_encode_signed32(0, 7, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned8(8, a1, CORBA_boolean );
    flick_cdr_encode_unsigned8(9, *a3, CORBA_boolean );
    flick_trapeze_encode_end_chunk(10);
    flick_trapeze_encode_end_glob(10);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort71);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(7);
      flick_trapeze_check_span(4, _flick_abort71);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(3, _flick_abort77);
            flick_trapeze_decode_new_chunk(3);
            flick_cdr_decode_unsigned8(0, _return, CORBA_boolean );
            flick_cdr_decode_unsigned8(1, *a2, CORBA_boolean );
            flick_cdr_decode_unsigned8(2, *a3, CORBA_boolean );
            flick_trapeze_decode_end_chunk(3);
            break;
            {
            _flick_abort77:
              goto _flick_abort71;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort79);
            break;
            {
            _flick_abort79:
              goto _flick_abort71;
            }
          }
        }
      flick_trapeze_decode_end_glob(7);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort71:
    flick_corba_client_error(cdr, trapeze, _flick_abort70);
  _flick_abort70:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_char test1_test_char(test1 _obj, CORBA_char a1, CORBA_char *a2, CORBA_char *a3, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_char _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort81);
  }
  {
    flick_trapeze_encode_new_glob(10, _flick_abort81);
    flick_trapeze_encode_new_chunk(10);
    flick_cdr_encode_signed32(0, 8, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_char8(8, a1, CORBA_char );
    flick_cdr_encode_char8(9, *a3, CORBA_char );
    flick_trapeze_encode_end_chunk(10);
    flick_trapeze_encode_end_glob(10);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort81);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(7);
      flick_trapeze_check_span(4, _flick_abort81);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(3, _flick_abort87);
            flick_trapeze_decode_new_chunk(3);
            flick_cdr_decode_char8(0, _return, CORBA_char );
            flick_cdr_decode_char8(1, *a2, CORBA_char );
            flick_cdr_decode_char8(2, *a3, CORBA_char );
            flick_trapeze_decode_end_chunk(3);
            break;
            {
            _flick_abort87:
              goto _flick_abort81;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort89);
            break;
            {
            _flick_abort89:
              goto _flick_abort81;
            }
          }
        }
      flick_trapeze_decode_end_glob(7);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort81:
    flick_corba_client_error(cdr, trapeze, _flick_abort80);
  _flick_abort80:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_octet test1_test_octet(test1 _obj, CORBA_octet a1, CORBA_octet *a2, CORBA_octet *a3, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_octet _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort91);
  }
  {
    flick_trapeze_encode_new_glob(10, _flick_abort91);
    flick_trapeze_encode_new_chunk(10);
    flick_cdr_encode_signed32(0, 9, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned8(8, a1, CORBA_octet );
    flick_cdr_encode_unsigned8(9, *a3, CORBA_octet );
    flick_trapeze_encode_end_chunk(10);
    flick_trapeze_encode_end_glob(10);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort91);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(7);
      flick_trapeze_check_span(4, _flick_abort91);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(3, _flick_abort97);
            flick_trapeze_decode_new_chunk(3);
            flick_cdr_decode_unsigned8(0, _return, CORBA_octet );
            flick_cdr_decode_unsigned8(1, *a2, CORBA_octet );
            flick_cdr_decode_unsigned8(2, *a3, CORBA_octet );
            flick_trapeze_decode_end_chunk(3);
            break;
            {
            _flick_abort97:
              goto _flick_abort91;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort99);
            break;
            {
            _flick_abort99:
              goto _flick_abort91;
            }
          }
        }
      flick_trapeze_decode_end_glob(7);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort91:
    flick_corba_client_error(cdr, trapeze, _flick_abort90);
  _flick_abort90:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_char *test1_test_string(test1 _obj, CORBA_char *a1, CORBA_char **a2, CORBA_char **a3, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_char *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort101);
  }
  {
    flick_unsigned32_t _t2_temp_string_len;
    flick_unsigned32_t _t3_temp_string_len;

    flick_cdr_stringlen(CORBA_char *, a1, flick_unsigned32_t , _t2_temp_string_len);
    flick_cdr_stringlen(CORBA_char *, *a3, flick_unsigned32_t , _t3_temp_string_len);

    flick_trapeze_encode_new_glob(16, _flick_abort101);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 10, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, _t2_temp_string_len, flick_unsigned32_t );
    flick_trapeze_client_encode_array(a1, 1 * _t2_temp_string_len);
    flick_cdr_encode_unsigned32(12, _t3_temp_string_len, flick_unsigned32_t );
    flick_trapeze_client_encode_array(*a3, 1 * _t3_temp_string_len);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _return))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort101);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(16);
      flick_trapeze_check_span(4, _flick_abort101);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned32_t _t7_temp_string_len;
            flick_unsigned32_t _t8_temp_string_len;
            flick_unsigned32_t _t9_temp_string_len;

            /* Begin decode phase on parameters */
            flick_trapeze_check_span(12, _flick_abort110);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _t7_temp_string_len, flick_unsigned32_t );
            flick_trapeze_client_decode_array(_return, 1 * _t7_temp_string_len);
            flick_cdr_decode_unsigned32(4, _t8_temp_string_len, flick_unsigned32_t );
            flick_trapeze_client_decode_array(*a2, 1 * _t8_temp_string_len);
            flick_cdr_decode_unsigned32(8, _t9_temp_string_len, flick_unsigned32_t );
            flick_trapeze_client_decode_array(*a3, 1 * _t9_temp_string_len);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(16);
            break;
            {
            _flick_abort110:
              goto _flick_abort101;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            flick_trapeze_decode_end_glob(16);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort112);
            flick_trapeze_decode_end_glob(16);
            break;
            {
            _flick_abort112:
              goto _flick_abort101;
            }
          }
        }
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort101:
    flick_corba_client_error(cdr, trapeze, _flick_abort100);
  _flick_abort100:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_Object test1_test_Object(test1 _obj, CORBA_Object a1, CORBA_Object *a2, CORBA_Object *a3, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_Object _return;

  memset(&_return, 0, sizeof(CORBA_Object ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort114);
  }
  {
    flick_trapeze_encode_new_glob(8, _flick_abort114);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 11, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort114);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_check_span(4, _flick_abort114);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort122);
            break;
            {
            _flick_abort122:
              goto _flick_abort114;
            }
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort114:
    flick_corba_client_error(cdr, trapeze, _flick_abort113);
  _flick_abort113:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

void test1_test_throw(test1 _obj, CORBA_long case_num, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;

  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort124);
  }
  {
    flick_trapeze_encode_new_glob(12, _flick_abort124);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 12, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, case_num, CORBA_long );
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort124);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(32);
      flick_trapeze_check_span(4, _flick_abort124);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            unsigned int _t34_switch_tag;

            flick_trapeze_check_span(28, _flick_abort141);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t34_switch_tag, unsigned int );
            flick_trapeze_decode_end_chunk(4);
            switch ((unsigned int )_t34_switch_tag)
              {
              case (unsigned int) 17:
                {
                  unsigned int _t35_switch_tag;

                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t35_switch_tag, unsigned int );
                  flick_trapeze_decode_end_chunk(4);
                  switch ((unsigned int )_t35_switch_tag)
                    {
                    case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                      {
                        unsigned int _t36_switch_tag;

                        flick_trapeze_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t36_switch_tag, unsigned int );
                        flick_trapeze_decode_end_chunk(4);
                        switch ((unsigned int )_t36_switch_tag)
                          {
                          case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
                            {
                              unsigned int _t37_switch_tag;

                              flick_trapeze_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t37_switch_tag, unsigned int );
                              flick_trapeze_decode_end_chunk(4);
                              switch ((unsigned int )_t37_switch_tag)
                                {
                                case /* 1/x1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 825194545):
                                  {
                                    unsigned int _t38_switch_tag;

                                    flick_trapeze_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t38_switch_tag, unsigned int );
                                    flick_trapeze_decode_end_chunk(4);
                                    switch ((unsigned int )_t38_switch_tag)
                                      {
                                      case /* :1.0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                        {
                                          char _t39_switch_tag;

                                          flick_trapeze_decode_new_chunk(1);
                                          flick_cdr_decode_char8(0, _t39_switch_tag, char );
                                          flick_trapeze_decode_end_chunk(1);
                                          switch ((char )_t39_switch_tag)
                                            {
                                            case 0:
                                              {
                                                _ev->_id = "IDL:test1/x1:1.0";
                                                {
                                                  test1_x1 *_t_alloc_ptr;

                                                  _t_alloc_ptr = (test1_x1 *)(CORBA_flick_alloc(sizeof(test1_x1 )));
                                                  if (!_t_alloc_ptr)
                                                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort147);
                                                  _ev->_value._user_except = _t_alloc_ptr;
                                                }
                                                flick_trapeze_decode_new_chunk(7);
                                                flick_cdr_decode_signed32(3, ((test1_x1 *)(_ev->_value._user_except))->case_num, CORBA_long );
                                                flick_trapeze_decode_end_chunk(7);
                                                break;
                                                {
                                                _flick_abort147:
                                                  goto _flick_abort141;
                                                }
                                              }
                                            default:
                                              {
                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort141);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort141);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                case /* 1/x2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 825194546):
                                  {
                                    unsigned int _t40_switch_tag;

                                    flick_trapeze_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t40_switch_tag, unsigned int );
                                    flick_trapeze_decode_end_chunk(4);
                                    switch ((unsigned int )_t40_switch_tag)
                                      {
                                      case /* :1.0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                        {
                                          char _t41_switch_tag;

                                          flick_trapeze_decode_new_chunk(1);
                                          flick_cdr_decode_char8(0, _t41_switch_tag, char );
                                          flick_trapeze_decode_end_chunk(1);
                                          switch ((char )_t41_switch_tag)
                                            {
                                            case 0:
                                              {
                                                _ev->_id = "IDL:test1/x2:1.0";
                                                {
                                                  test1_x2 *_t_alloc_ptr;

                                                  _t_alloc_ptr = (test1_x2 *)(CORBA_flick_alloc(sizeof(test1_x2 )));
                                                  if (!_t_alloc_ptr)
                                                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort149);
                                                  _ev->_value._user_except = _t_alloc_ptr;
                                                }
                                                flick_trapeze_decode_new_chunk(7);
                                                flick_cdr_decode_signed32(3, ((test1_x2 *)(_ev->_value._user_except))->value, CORBA_long );
                                                flick_trapeze_decode_end_chunk(7);
                                                break;
                                                {
                                                _flick_abort149:
                                                  goto _flick_abort141;
                                                }
                                              }
                                            default:
                                              {
                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort141);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort141);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort141);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort141);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort141);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort141);
                  break;
                }
              }
            break;
            {
            _flick_abort141:
              goto _flick_abort124;
            }
          }
        }
      flick_trapeze_decode_end_glob(32);
    }
  flick_trapeze_client_end_decode();
  return;
  {
  _flick_abort124:
    flick_corba_client_error(cdr, trapeze, _flick_abort123);
  _flick_abort123:
    goto _flick_reaper;
  }
_flick_reaper:
  return;
}

void test1_please_exit(test1 _obj, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;

  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort152);
  }
  {
    flick_trapeze_encode_new_glob(8, _flick_abort152);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 13, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_trapeze_client_send(_obj, _msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort152);
  return;
  {
  _flick_abort152:
    flick_corba_client_error(cdr, trapeze, _flick_abort151);
  _flick_abort151:
    goto _flick_reaper;
  }
_flick_reaper:
  return;
}

