#include "complex-1-server.h"

int flick_marshal_stub_sexnage(flick_marshal_stream_t _stream, struct sexnage *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(8, _flick_abort0);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_char8(0, _data->sex, char );
  flick_fluke_encode_float32(4, _data->age, float );
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(8);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_sexnage(flick_marshal_stream_t _stream, struct sexnage *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(8);
  flick_fluke_check_span(8, _flick_abort1);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_char8(0, _data->sex, char );
  flick_fluke_decode_float32(4, _data->age, float );
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(8);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_person(flick_marshal_stream_t _stream, struct person *_data)
{
  flick_unsigned32_t _t0_temp_string_len;

  flick_fluke_stringlen(char *, _data->name, flick_unsigned32_t , _t0_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(78, _flick_abort2);
  flick_fluke_encode_new_chunk(4 + 1 * _t0_temp_string_len);
  flick_fluke_encode_unsigned32(0, _t0_temp_string_len, flick_unsigned32_t );
  if (_t0_temp_string_len > 51)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2);
  flick_fluke_encode_bcopy(4, _data->name, 1 * _t0_temp_string_len);
  flick_fluke_encode_end_chunk(4 + 1 * _t0_temp_string_len);
  flick_fluke_encode_new_chunk_align(20, 2, 0, 0);
  flick_fluke_encode_signed32(0, _data->zip, int );
  flick_fluke_encode_char8(4, _data->a, char );
  flick_fluke_encode_signed32(8, _data->ssn, int );
  flick_fluke_encode_char8(12, _data->sa.sex, char );
  flick_fluke_encode_float32(16, _data->sa.age, float );
  flick_fluke_encode_end_chunk(20);
  flick_fluke_encode_end_glob(78);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_person(flick_marshal_stream_t _stream, struct person *_data)
{
  flick_unsigned32_t _t1_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(78);
  flick_fluke_check_span(4, _flick_abort5);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _t1_temp_string_len, flick_unsigned32_t );
  if (_t1_temp_string_len > 51)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort5);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_check_span(1 * _t1_temp_string_len * 1, _flick_abort5);
  flick_fluke_decode_new_chunk(1 * _t1_temp_string_len);
  {
    char *_t_alloc_ptr;

    _t_alloc_ptr = (char *)(sun_flick_alloc(_t1_temp_string_len * sizeof(char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort5);
    _data->name = _t_alloc_ptr;
  }
  flick_fluke_decode_bcopy(0, _data->name, 1 * _t1_temp_string_len);
  flick_fluke_decode_end_chunk(1 * _t1_temp_string_len);
  flick_fluke_decode_new_chunk_align(20, 2, 0, 0);
  flick_fluke_check_span(20, _flick_abort8);
  flick_fluke_decode_signed32(0, _data->zip, int );
  flick_fluke_decode_char8(4, _data->a, char );
  flick_fluke_decode_signed32(8, _data->ssn, int );
  flick_fluke_decode_char8(12, _data->sa.sex, char );
  flick_fluke_decode_float32(16, _data->sa.age, float );
  flick_fluke_decode_end_chunk(20);
  flick_fluke_decode_end_glob(78);
  return 0;
  {
  _flick_abort8:
    sun_flick_free(_data->name);
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_people(flick_marshal_stream_t _stream, people *_data)
{
  unsigned int _t5_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort9);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->people_len, unsigned int );
  if (_data->people_len > 70000)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort9);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  for (_t5_array_iter = 0; _t5_array_iter < _data->people_len; _t5_array_iter++)
    {
      flick_unsigned32_t _t7_temp_string_len;

      flick_fluke_stringlen(char *, _data->people_val[_t5_array_iter].name, flick_unsigned32_t , _t7_temp_string_len);

      flick_fluke_encode_new_glob(78, _flick_abort19);
      flick_fluke_encode_new_chunk(4 + 1 * _t7_temp_string_len);
      flick_fluke_encode_unsigned32(0, _t7_temp_string_len, flick_unsigned32_t );
      if (_t7_temp_string_len > 51)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort19);
      flick_fluke_encode_bcopy(4, _data->people_val[_t5_array_iter].name, 1 * _t7_temp_string_len);
      flick_fluke_encode_end_chunk(4 + 1 * _t7_temp_string_len);
      flick_fluke_encode_new_chunk_align(20, 2, 0, 0);
      flick_fluke_encode_signed32(0, _data->people_val[_t5_array_iter].zip, int );
      flick_fluke_encode_char8(4, _data->people_val[_t5_array_iter].a, char );
      flick_fluke_encode_signed32(8, _data->people_val[_t5_array_iter].ssn, int );
      flick_fluke_encode_char8(12, _data->people_val[_t5_array_iter].sa.sex, char );
      flick_fluke_encode_float32(16, _data->people_val[_t5_array_iter].sa.age, float );
      flick_fluke_encode_end_chunk(20);
      flick_fluke_encode_end_glob(78);
      continue;
      {
      _flick_abort19:
        goto _flick_abort9;
      }
    }
  return 0;
  {
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_people(flick_marshal_stream_t _stream, people *_data)
{
  unsigned int _t11_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort25);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->people_len, unsigned int );
  if (_data->people_len > 70000)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort25);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  {
    struct person *_t_alloc_ptr;

    _t_alloc_ptr = (struct person *)(sun_flick_alloc(_data->people_len * sizeof(struct person )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort25);
    _data->people_val = _t_alloc_ptr;
  }
  flick_fluke_check_span(_data->people_len * 4, _flick_abort38);
  for (_t11_array_iter = 0; _t11_array_iter < _data->people_len; _t11_array_iter++)
    {
      flick_unsigned32_t _t13_temp_string_len;

      flick_fluke_decode_new_glob(78);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _t13_temp_string_len, flick_unsigned32_t );
      if (_t13_temp_string_len > 51)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort39);
      flick_fluke_decode_end_chunk(4);
      flick_fluke_check_span(1 * _t13_temp_string_len * 1, _flick_abort39);
      flick_fluke_decode_new_chunk(1 * _t13_temp_string_len);
      {
        char *_t_alloc_ptr;

        _t_alloc_ptr = (char *)(sun_flick_alloc(_t13_temp_string_len * sizeof(char )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort39);
        _data->people_val[_t11_array_iter].name = _t_alloc_ptr;
      }
      flick_fluke_decode_bcopy(0, _data->people_val[_t11_array_iter].name, 1 * _t13_temp_string_len);
      flick_fluke_decode_end_chunk(1 * _t13_temp_string_len);
      flick_fluke_decode_new_chunk_align(20, 2, 0, 0);
      flick_fluke_check_span(20, _flick_abort46);
      flick_fluke_decode_signed32(0, _data->people_val[_t11_array_iter].zip, int );
      flick_fluke_decode_char8(4, _data->people_val[_t11_array_iter].a, char );
      flick_fluke_decode_signed32(8, _data->people_val[_t11_array_iter].ssn, int );
      flick_fluke_decode_char8(12, _data->people_val[_t11_array_iter].sa.sex, char );
      flick_fluke_decode_float32(16, _data->people_val[_t11_array_iter].sa.age, float );
      flick_fluke_decode_end_chunk(20);
      flick_fluke_decode_end_glob(78);
      continue;
      {
      _flick_abort49:
        _t11_array_iter--;
      _flick_abort46:
        sun_flick_free(_data->people_val[_t11_array_iter].name);
      _flick_abort39:
        if ((unsigned int )_t11_array_iter < _data->people_len)
          goto _flick_abort49;
        goto _flick_abort38;
      }
    }
  return 0;
  {
  _flick_abort38:
    sun_flick_free(_data->people_val);
  _flick_abort25:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

mom_dispatch_action_t prog_2(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t22_switch_tag;

    flick_fluke_decode_new_glob(8);
    flick_fluke_check_span(8, _flick_abort54);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t22_switch_tag, signed int );
    flick_fluke_decode_end_chunk(4);
    switch ((signed int )_t22_switch_tag)
      {
      case (signed int) 1:
        {
          {
            double *_return;
            people *_local_arg;
            people _t23_storage;
            unsigned int _t27_array_iter;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (people *)(&_t23_storage);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_arg->people_len, unsigned int );
            if (_local_arg->people_len > 70000)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort82);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            {
              struct person *_t_alloc_ptr;

              _t_alloc_ptr = (struct person *)(auto_flick_alloc(_local_arg->people_len * sizeof(struct person )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort82);
              _local_arg->people_val = _t_alloc_ptr;
            }
            flick_fluke_check_span(_local_arg->people_len * 4, _flick_abort92);
            for (_t27_array_iter = 0; _t27_array_iter < _local_arg->people_len; _t27_array_iter++)
              {
                flick_unsigned32_t _t29_temp_string_len;

                flick_fluke_decode_new_glob(78);
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_unsigned32(0, _t29_temp_string_len, flick_unsigned32_t );
                if (_t29_temp_string_len > 51)
                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort93);
                flick_fluke_decode_end_chunk(4);
                flick_fluke_check_span(1 * _t29_temp_string_len * 1, _flick_abort93);
                flick_fluke_decode_new_chunk(1 * _t29_temp_string_len);
                flick_fluke_decode_msgptr(0, _local_arg->people_val[_t27_array_iter].name, char *);
                flick_fluke_decode_end_chunk(1 * _t29_temp_string_len);
                flick_fluke_decode_new_chunk_align(20, 2, 0, 0);
                flick_fluke_check_span(20, _flick_abort93);
                flick_fluke_decode_signed32(0, _local_arg->people_val[_t27_array_iter].zip, int );
                flick_fluke_decode_char8(4, _local_arg->people_val[_t27_array_iter].a, char );
                flick_fluke_decode_signed32(8, _local_arg->people_val[_t27_array_iter].ssn, int );
                flick_fluke_decode_char8(12, _local_arg->people_val[_t27_array_iter].sa.sex, char );
                flick_fluke_decode_float32(16, _local_arg->people_val[_t27_array_iter].sa.age, float );
                flick_fluke_decode_end_chunk(20);
                flick_fluke_decode_end_glob(78);
                continue;
                {
                _flick_abort93:
                  goto _flick_abort92;
                }
              }
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(16, _flick_abort92);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(12);
                    flick_fluke_encode_float64(4, *_return, double );
                    flick_fluke_encode_end_chunk(12);
                    flick_fluke_encode_end_glob(16);
                    break;
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(16);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort104);
                    break;
                    {
                    _flick_abort104:
                      goto _flick_abort92;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort105);
                    flick_fluke_encode_end_glob(16);
                    break;
                    {
                    _flick_abort105:
                      goto _flick_abort92;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort92:
              auto_flick_free(_local_arg->people_val);
            _flick_abort82:
              goto _flick_abort81;
            }
          }
          break;
          {
          _flick_abort81:
            goto _flick_abort54;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort54);
          flick_fluke_decode_end_glob(8);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
  {
  _flick_abort54:
    flick_sun_server_error(fluke, fluke, _flick_reaper, _flick_abort53);
  _flick_abort53:
    return DISPATCH_ACK_SEND;
    goto _flick_reaper;
  }
_flick_reaper:
  return DISPATCH_NO_REPLY;
}

