#include "mig-arrays-client.h"

kern_return_t rpc_64_in(mach_port_t target, t64B foo)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      unsigned *_t1_internal;

      _t1_internal = (unsigned *)foo;

      flick_fluke_encode_new_glob(68, _flick_abort1);
      flick_fluke_encode_new_chunk(68);
      flick_fluke_encode_signed32(0, 123002, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_bcopy(4, _t1_internal, 64);
      flick_fluke_encode_end_chunk(68);
      flick_fluke_encode_end_glob(68);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort1);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_fluke_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort13);
            break;
            {
            _flick_abort13:
              goto _flick_abort1;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1);
  return _return;
  {
  _flick_abort1:
    flick_mig_client_error(fluke, fluke, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }
}

kern_return_t rpc_128_in(mach_port_t target, t128B foo)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      unsigned *_t3_internal;

      _t3_internal = (unsigned *)foo;

      flick_fluke_encode_new_glob(132, _flick_abort15);
      flick_fluke_encode_new_chunk(132);
      flick_fluke_encode_signed32(0, 123003, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_bcopy(4, _t3_internal, 128);
      flick_fluke_encode_end_chunk(132);
      flick_fluke_encode_end_glob(132);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort15);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort15);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_fluke_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort27);
            break;
            {
            _flick_abort27:
              goto _flick_abort15;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort15);
  return _return;
  {
  _flick_abort15:
    flick_mig_client_error(fluke, fluke, _flick_abort14);
  _flick_abort14:
    goto _flick_reaper;
  }
}

kern_return_t rpc_256_in(mach_port_t target, t256B foo)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      unsigned *_t5_internal;

      _t5_internal = (unsigned *)foo;

      flick_fluke_encode_new_glob(260, _flick_abort29);
      flick_fluke_encode_new_chunk(260);
      flick_fluke_encode_signed32(0, 123004, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_bcopy(4, _t5_internal, 256);
      flick_fluke_encode_end_chunk(260);
      flick_fluke_encode_end_glob(260);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort29);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort29);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_fluke_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort41);
            break;
            {
            _flick_abort41:
              goto _flick_abort29;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort29);
  return _return;
  {
  _flick_abort29:
    flick_mig_client_error(fluke, fluke, _flick_abort28);
  _flick_abort28:
    goto _flick_reaper;
  }
}

kern_return_t rpc_512_in(mach_port_t target, t512B foo)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      unsigned *_t7_internal;

      _t7_internal = (unsigned *)foo;

      flick_fluke_encode_new_glob(516, _flick_abort43);
      flick_fluke_encode_new_chunk(516);
      flick_fluke_encode_signed32(0, 123005, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_bcopy(4, _t7_internal, 512);
      flick_fluke_encode_end_chunk(516);
      flick_fluke_encode_end_glob(516);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort43);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort43);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_fluke_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort55);
            break;
            {
            _flick_abort55:
              goto _flick_abort43;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort43);
  return _return;
  {
  _flick_abort43:
    flick_mig_client_error(fluke, fluke, _flick_abort42);
  _flick_abort42:
    goto _flick_reaper;
  }
}

kern_return_t rpc_1K_in(mach_port_t target, t1K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      unsigned *_t9_internal;

      _t9_internal = (unsigned *)data;

      flick_fluke_encode_new_glob(1028, _flick_abort57);
      flick_fluke_encode_new_chunk(1028);
      flick_fluke_encode_signed32(0, 123006, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_bcopy(4, _t9_internal, 1024);
      flick_fluke_encode_end_chunk(1028);
      flick_fluke_encode_end_glob(1028);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort57);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort57);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_fluke_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort69);
            break;
            {
            _flick_abort69:
              goto _flick_abort57;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort57);
  return _return;
  {
  _flick_abort57:
    flick_mig_client_error(fluke, fluke, _flick_abort56);
  _flick_abort56:
    goto _flick_reaper;
  }
}

kern_return_t rpc_2K_in(mach_port_t target, t2K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      unsigned *_t11_internal;

      _t11_internal = (unsigned *)data;

      flick_fluke_encode_new_glob(2052, _flick_abort71);
      flick_fluke_encode_new_chunk(2052);
      flick_fluke_encode_signed32(0, 123007, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_bcopy(4, _t11_internal, 2048);
      flick_fluke_encode_end_chunk(2052);
      flick_fluke_encode_end_glob(2052);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort71);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort71);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_fluke_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort83);
            break;
            {
            _flick_abort83:
              goto _flick_abort71;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort71);
  return _return;
  {
  _flick_abort71:
    flick_mig_client_error(fluke, fluke, _flick_abort70);
  _flick_abort70:
    goto _flick_reaper;
  }
}

kern_return_t rpc_4K_in(mach_port_t target, t4K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      unsigned *_t13_internal;

      _t13_internal = (unsigned *)data;

      flick_fluke_encode_new_glob(4100, _flick_abort85);
      flick_fluke_encode_new_chunk(4100);
      flick_fluke_encode_signed32(0, 123008, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_bcopy(4, _t13_internal, 4096);
      flick_fluke_encode_end_chunk(4100);
      flick_fluke_encode_end_glob(4100);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort85);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort85);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_fluke_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort97);
            break;
            {
            _flick_abort97:
              goto _flick_abort85;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort85);
  return _return;
  {
  _flick_abort85:
    flick_mig_client_error(fluke, fluke, _flick_abort84);
  _flick_abort84:
    goto _flick_reaper;
  }
}

kern_return_t rpc_8K_in(mach_port_t target, t8K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      unsigned *_t15_internal;

      _t15_internal = (unsigned *)data;

      flick_fluke_encode_new_glob(4, _flick_abort99);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, 123009, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
      flick_fluke_encode_new_glob(8192, _flick_abort99);
      flick_fluke_encode_new_chunk(8192);
      flick_fluke_encode_bcopy(0, _t15_internal, 8192);
      flick_fluke_encode_end_chunk(8192);
      flick_fluke_encode_end_glob(8192);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort99);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort99);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_fluke_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort111);
            break;
            {
            _flick_abort111:
              goto _flick_abort99;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort99);
  return _return;
  {
  _flick_abort99:
    flick_mig_client_error(fluke, fluke, _flick_abort98);
  _flick_abort98:
    goto _flick_reaper;
  }
}

kern_return_t rpc_16K_in(mach_port_t target, t16K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      unsigned *_t17_internal;

      _t17_internal = (unsigned *)data;

      flick_fluke_encode_new_glob(4, _flick_abort113);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, 123010, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
      flick_fluke_encode_new_glob(16384, _flick_abort113);
      flick_fluke_encode_new_chunk(16384);
      flick_fluke_encode_bcopy(0, _t17_internal, 16384);
      flick_fluke_encode_end_chunk(16384);
      flick_fluke_encode_end_glob(16384);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort113);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort113);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_fluke_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort125);
            break;
            {
            _flick_abort125:
              goto _flick_abort113;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort113);
  return _return;
  {
  _flick_abort113:
    flick_mig_client_error(fluke, fluke, _flick_abort112);
  _flick_abort112:
    goto _flick_reaper;
  }
}

kern_return_t rpc_32K_in(mach_port_t target, t32K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      unsigned *_t19_internal;

      _t19_internal = (unsigned *)data;

      flick_fluke_encode_new_glob(4, _flick_abort127);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, 123011, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
      flick_fluke_encode_new_glob(32768, _flick_abort127);
      flick_fluke_encode_new_chunk(32768);
      flick_fluke_encode_bcopy(0, _t19_internal, 32768);
      flick_fluke_encode_end_chunk(32768);
      flick_fluke_encode_end_glob(32768);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort127);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort127);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_fluke_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort139);
            break;
            {
            _flick_abort139:
              goto _flick_abort127;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort127);
  return _return;
  {
  _flick_abort127:
    flick_mig_client_error(fluke, fluke, _flick_abort126);
  _flick_abort126:
    goto _flick_reaper;
  }
}

kern_return_t rpc_64K_in(mach_port_t target, t64K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      unsigned *_t21_internal;

      _t21_internal = (unsigned *)data;

      flick_fluke_encode_new_glob(4, _flick_abort141);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, 123012, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
      flick_fluke_encode_new_glob(65536, _flick_abort141);
      flick_fluke_encode_new_chunk(65536);
      flick_fluke_encode_bcopy(0, _t21_internal, 65536);
      flick_fluke_encode_end_chunk(65536);
      flick_fluke_encode_end_glob(65536);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort141);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort141);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_fluke_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort153);
            break;
            {
            _flick_abort153:
              goto _flick_abort141;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort141);
  return _return;
  {
  _flick_abort141:
    flick_mig_client_error(fluke, fluke, _flick_abort140);
  _flick_abort140:
    goto _flick_reaper;
  }
}

kern_return_t rpc_128K_in(mach_port_t target, t128K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      unsigned *_t23_internal;

      _t23_internal = (unsigned *)data;

      flick_fluke_encode_new_glob(4, _flick_abort155);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, 123013, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
      flick_fluke_encode_new_glob(131072, _flick_abort155);
      flick_fluke_encode_new_chunk(131072);
      flick_fluke_encode_bcopy(0, _t23_internal, 131072);
      flick_fluke_encode_end_chunk(131072);
      flick_fluke_encode_end_glob(131072);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort155);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort155);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_fluke_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort167);
            break;
            {
            _flick_abort167:
              goto _flick_abort155;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort155);
  return _return;
  {
  _flick_abort155:
    flick_mig_client_error(fluke, fluke, _flick_abort154);
  _flick_abort154:
    goto _flick_reaper;
  }
}

kern_return_t rpc_256K_in(mach_port_t target, t256K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      unsigned *_t25_internal;

      _t25_internal = (unsigned *)data;

      flick_fluke_encode_new_glob(4, _flick_abort169);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, 123014, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
      flick_fluke_encode_new_glob(262144, _flick_abort169);
      flick_fluke_encode_new_chunk(262144);
      flick_fluke_encode_bcopy(0, _t25_internal, 262144);
      flick_fluke_encode_end_chunk(262144);
      flick_fluke_encode_end_glob(262144);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort169);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort169);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_fluke_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort181);
            break;
            {
            _flick_abort181:
              goto _flick_abort169;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort169);
  return _return;
  {
  _flick_abort169:
    flick_mig_client_error(fluke, fluke, _flick_abort168);
  _flick_abort168:
    goto _flick_reaper;
  }
}

kern_return_t rpc_512K_in(mach_port_t target, t512K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      unsigned *_t27_internal;

      _t27_internal = (unsigned *)data;

      flick_fluke_encode_new_glob(4, _flick_abort183);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, 123015, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
      flick_fluke_encode_new_glob(524288, _flick_abort183);
      flick_fluke_encode_new_chunk(524288);
      flick_fluke_encode_bcopy(0, _t27_internal, 524288);
      flick_fluke_encode_end_chunk(524288);
      flick_fluke_encode_end_glob(524288);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort183);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort183);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_fluke_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort195);
            break;
            {
            _flick_abort195:
              goto _flick_abort183;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort183);
  return _return;
  {
  _flick_abort183:
    flick_mig_client_error(fluke, fluke, _flick_abort182);
  _flick_abort182:
    goto _flick_reaper;
  }
}

kern_return_t rpc_1024K_in(mach_port_t target, t1024K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      unsigned *_t29_internal;

      _t29_internal = (unsigned *)data;

      flick_fluke_encode_new_glob(4, _flick_abort197);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, 123016, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
      flick_fluke_encode_new_glob(1048576, _flick_abort197);
      flick_fluke_encode_new_chunk(1048576);
      flick_fluke_encode_bcopy(0, _t29_internal, 1048576);
      flick_fluke_encode_end_chunk(1048576);
      flick_fluke_encode_end_glob(1048576);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort197);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort197);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_fluke_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort209);
            break;
            {
            _flick_abort209:
              goto _flick_abort197;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort197);
  return _return;
  {
  _flick_abort197:
    flick_mig_client_error(fluke, fluke, _flick_abort196);
  _flick_abort196:
    goto _flick_reaper;
  }
}

kern_return_t rpc_time(mach_port_t target, timervar timer)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort211);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, 123017, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort211);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(12);
      flick_fluke_check_span(4, _flick_abort211);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            unsigned *_t31_internal;

            _t31_internal = (unsigned *)timer;

            /* Begin decode phase on parameters */
            flick_fluke_check_span(8, _flick_abort220);
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_bcopy(0, _t31_internal, 8);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(12);
            break;
            {
            _flick_abort220:
              goto _flick_abort211;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(12);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort223);
            break;
            {
            _flick_abort223:
              goto _flick_abort211;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort211);
  return _return;
  {
  _flick_abort211:
    flick_mig_client_error(fluke, fluke, _flick_abort210);
  _flick_abort210:
    goto _flick_reaper;
  }
}

