#ifndef _structplain__server_h_
#define _structplain__server_h_

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corba.h>

#ifndef _typedef___coord
#define _typedef___coord
typedef struct coord {
  CORBA_short row;
  CORBA_short col;
} coord;
#endif /* _typedef___coord */

int flick_marshal_stub_coord(flick_marshal_stream_t _stream, struct coord *_data);

int flick_unmarshal_stub_coord(flick_marshal_stream_t _stream, struct coord *_data);

#ifndef _typedef___geom
#define _typedef___geom
typedef CORBA_Object geom;
#endif /* _typedef___geom */

int flick_marshal_stub_geom(flick_marshal_stream_t _stream, geom *_data);

int flick_unmarshal_stub_geom(flick_marshal_stream_t _stream, geom *_data);

extern flick_dispatch_t geom_server;

CORBA_short geom_dist(geom _obj, struct coord *a, struct coord *b, CORBA_Environment *_ev);

CORBA_boolean CORBA_Object_is_a_internal(CORBA_Object _obj, CORBA_char *id, char **_par, CORBA_Environment *_ev);

#endif /* _structplain__server_h_ */
