#ifndef _enum_3_client_h_
#define _enum_3_client_h_

#include <flick/link/khazana.h>
#include <flick/encode/cdr.h>
#include <errno.h>

#include <flick/pres/sun.h>

#ifndef _typedef___fruit
#define _typedef___fruit
typedef enum fruit {
  banana = (signed long int) 0,
  orange = (signed long int) 1,
  grapefruit = (signed long int) 2,
  tomato = (signed long int) 3
} fruit;
#endif /* _typedef___fruit */

int flick_marshal_stub_fruit(flick_marshal_stream_t _stream, const enum fruit *_data);

int flick_unmarshal_stub_fruit(flick_marshal_stream_t _stream, enum fruit *_data);

#ifndef _typedef___vegetable
#define _typedef___vegetable
typedef enum vegetable {
  celery = (signed long int) 0,
  onion = (signed long int) 1,
  lettuce = (signed long int) 2,
  broccoli = (signed long int) 3
} vegetable;
#endif /* _typedef___vegetable */

int flick_marshal_stub_vegetable(flick_marshal_stream_t _stream, const enum vegetable *_data);

int flick_unmarshal_stub_vegetable(flick_marshal_stream_t _stream, enum vegetable *_data);

#ifndef _typedef___berry
#define _typedef___berry
typedef enum berry {
  strawberry = (signed long int) 0,
  raspberry = (signed long int) 1,
  blackberry = (signed long int) 2
} berry;
#endif /* _typedef___berry */

int flick_marshal_stub_berry(flick_marshal_stream_t _stream, const enum berry *_data);

int flick_unmarshal_stub_berry(flick_marshal_stream_t _stream, enum berry *_data);

#endif /* _enum_3_client_h_ */
