#ifndef _simple2_server_h_
#define _simple2_server_h_

#include <flick/link/mach3mig.h>

#include <flick/encode/mach3mig.h>

#include <flick/pres/corba.h>

#ifndef _typedef___CORBA_sequence_long
#define _typedef___CORBA_sequence_long
typedef struct CORBA_sequence_long {
  CORBA_boolean _release;
  CORBA_unsigned_long _maximum;
  CORBA_unsigned_long _length;
  CORBA_long *_buffer;
} CORBA_sequence_long;
#endif /* _typedef___CORBA_sequence_long */

#ifndef _typedef___vec10
#define _typedef___vec10
typedef struct CORBA_sequence_long vec10;
#endif /* _typedef___vec10 */

#ifndef _typedef___simple
#define _typedef___simple
typedef CORBA_Object simple;
#endif /* _typedef___simple */

extern flick_dispatch_t simple_server;

CORBA_long simple_op(simple _obj, CORBA_long a, simple *b, CORBA_long *c, CORBA_Environment *_ev);

CORBA_boolean CORBA_Object_is_a_internal(CORBA_Object _obj, CORBA_char *id, char **_par, CORBA_Environment *_ev);

#ifndef _typedef___simple2
#define _typedef___simple2
typedef CORBA_Object simple2;
#endif /* _typedef___simple2 */

extern flick_dispatch_t simple2_server;

CORBA_long simple2_op2(simple2 _obj, CORBA_long a, simple b, simple2 *c, CORBA_Environment *_ev);

CORBA_long simple2_op(simple2 _obj, CORBA_long a, simple *b, CORBA_long *c, CORBA_Environment *_ev);

#ifndef _typedef___simple3
#define _typedef___simple3
typedef CORBA_Object simple3;
#endif /* _typedef___simple3 */

#define ex_simple3_OVERFLOW ("IDL:simple3/OVERFLOW:1.0")

#ifndef _typedef___simple3_OVERFLOW
#define _typedef___simple3_OVERFLOW
typedef struct simple3_OVERFLOW {
  CORBA_long a;
  CORBA_char *msg;
} simple3_OVERFLOW;
#endif /* _typedef___simple3_OVERFLOW */

#define ex_simple3_UNDERFLOW ("IDL:simple3/UNDERFLOW:1.0")

#ifndef _typedef___simple3_UNDERFLOW
#define _typedef___simple3_UNDERFLOW
typedef struct simple3_UNDERFLOW {
  CORBA_long b;
  CORBA_char *msg;
} simple3_UNDERFLOW;
#endif /* _typedef___simple3_UNDERFLOW */

#define ex_simple3_BADNUM ("IDL:simple3/BADNUM:1.0")

#ifndef _typedef___simple3_BADNUM
#define _typedef___simple3_BADNUM
typedef struct simple3_BADNUM {
  vec10 c;
} simple3_BADNUM;
#endif /* _typedef___simple3_BADNUM */

#define ex_simple3_USERERROR ("IDL:simple3/USERERROR:1.0")

#ifndef _typedef___simple3_USERERROR
#define _typedef___simple3_USERERROR
typedef struct simple3_USERERROR {
  CORBA_char *reason;
} simple3_USERERROR;
#endif /* _typedef___simple3_USERERROR */

extern flick_dispatch_t simple3_server;

CORBA_long simple3_op3(simple3 _obj, CORBA_long a, simple3 *b, simple2 *c, simple *d, CORBA_Environment *_ev);

CORBA_char *simple3_op4(simple3 _obj, CORBA_char *x, CORBA_char **y, CORBA_char **z, CORBA_Environment *_ev);

void simple3_op5(simple3 _obj, CORBA_Environment *_ev);

CORBA_long simple3_op2(simple3 _obj, CORBA_long a, simple b, simple2 *c, CORBA_Environment *_ev);

CORBA_long simple3_op(simple3 _obj, CORBA_long a, simple *b, CORBA_long *c, CORBA_Environment *_ev);

#endif /* _simple2_server_h_ */
