#include "atomic_-client.h"

/* This is the runtime type information */
char *flick_interface_parents_Atomic_test[] = {
	0
};

/* */

int flick_marshal_stub_Atomic_test(flick_marshal_stream_t _stream, const Atomic_test *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Atomic_test(flick_marshal_stream_t _stream, Atomic_test *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort1);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

CORBA_short Atomic_test_Short(Atomic_test _obj, CORBA_short a, CORBA_short *b, CORBA_short *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort3);
  }
  {
    flick_suntcp_encode_new_glob(52, _flick_abort3);
    flick_suntcp_encode_new_chunk(52);
    flick_xdr_encode_unsigned32(0, 6, flick_unsigned32_t );
    flick_xdr_encode_char8(4, 'S', flick_char8_t );
    flick_xdr_encode_char8(8, 'h', flick_char8_t );
    flick_xdr_encode_char8(12, 'o', flick_char8_t );
    flick_xdr_encode_char8(16, 'r', flick_char8_t );
    flick_xdr_encode_char8(20, 't', flick_char8_t );
    flick_xdr_encode_char8(24, 0, flick_char8_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(32, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(36, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(40, (unsigned int) 0, unsigned int );
    flick_xdr_encode_signed16(44, a, CORBA_short );
    flick_xdr_encode_signed16(48, *b, CORBA_short );
    flick_suntcp_encode_end_chunk(52);
    flick_suntcp_encode_end_glob(52);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort3);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort3);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_check_span(4, _flick_abort3);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_check_span(12, _flick_abort9);
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_signed16(0, _return, CORBA_short );
            flick_xdr_decode_signed16(4, *b, CORBA_short );
            flick_xdr_decode_signed16(8, *c, CORBA_short );
            flick_suntcp_decode_end_chunk(12);
            flick_suntcp_decode_end_glob(16);
            break;
            {
            _flick_abort9:
              goto _flick_abort3;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, xdr, suntcp, _flick_abort10);
            break;
            {
            _flick_abort10:
              goto _flick_abort3;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort11);
            flick_suntcp_decode_end_glob(16);
            break;
            {
            _flick_abort11:
              goto _flick_abort3;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort3:
    flick_corba_client_error(xdr, sun, _flick_abort2);
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long Atomic_test_Long(Atomic_test _obj, CORBA_long a, CORBA_long *b, CORBA_long *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort13);
  }
  {
    flick_suntcp_encode_new_glob(48, _flick_abort13);
    flick_suntcp_encode_new_chunk(48);
    flick_xdr_encode_unsigned32(0, 5, flick_unsigned32_t );
    flick_xdr_encode_char8(4, 'L', flick_char8_t );
    flick_xdr_encode_char8(8, 'o', flick_char8_t );
    flick_xdr_encode_char8(12, 'n', flick_char8_t );
    flick_xdr_encode_char8(16, 'g', flick_char8_t );
    flick_xdr_encode_char8(20, 0, flick_char8_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(24, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(32, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(36, (unsigned int) 0, unsigned int );
    flick_xdr_encode_signed32(40, a, CORBA_long );
    flick_xdr_encode_signed32(44, *b, CORBA_long );
    flick_suntcp_encode_end_chunk(48);
    flick_suntcp_encode_end_glob(48);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort13);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort13);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_check_span(4, _flick_abort13);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_check_span(12, _flick_abort19);
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_signed32(0, _return, CORBA_long );
            flick_xdr_decode_signed32(4, *b, CORBA_long );
            flick_xdr_decode_signed32(8, *c, CORBA_long );
            flick_suntcp_decode_end_chunk(12);
            flick_suntcp_decode_end_glob(16);
            break;
            {
            _flick_abort19:
              goto _flick_abort13;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, xdr, suntcp, _flick_abort20);
            break;
            {
            _flick_abort20:
              goto _flick_abort13;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort21);
            flick_suntcp_decode_end_glob(16);
            break;
            {
            _flick_abort21:
              goto _flick_abort13;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort13:
    flick_corba_client_error(xdr, sun, _flick_abort12);
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_unsigned_short Atomic_test_UShort(Atomic_test _obj, CORBA_unsigned_short a, CORBA_unsigned_short *b, CORBA_unsigned_short *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_unsigned_short _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort23);
  }
  {
    flick_suntcp_encode_new_glob(56, _flick_abort23);
    flick_suntcp_encode_new_chunk(56);
    flick_xdr_encode_unsigned32(0, 7, flick_unsigned32_t );
    flick_xdr_encode_char8(4, 'U', flick_char8_t );
    flick_xdr_encode_char8(8, 'S', flick_char8_t );
    flick_xdr_encode_char8(12, 'h', flick_char8_t );
    flick_xdr_encode_char8(16, 'o', flick_char8_t );
    flick_xdr_encode_char8(20, 'r', flick_char8_t );
    flick_xdr_encode_char8(24, 't', flick_char8_t );
    flick_xdr_encode_char8(28, 0, flick_char8_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(32, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(36, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(40, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(44, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned16(48, a, CORBA_unsigned_short );
    flick_xdr_encode_unsigned16(52, *b, CORBA_unsigned_short );
    flick_suntcp_encode_end_chunk(56);
    flick_suntcp_encode_end_glob(56);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort23);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort23);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_check_span(4, _flick_abort23);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_check_span(12, _flick_abort29);
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_unsigned16(0, _return, CORBA_unsigned_short );
            flick_xdr_decode_unsigned16(4, *b, CORBA_unsigned_short );
            flick_xdr_decode_unsigned16(8, *c, CORBA_unsigned_short );
            flick_suntcp_decode_end_chunk(12);
            flick_suntcp_decode_end_glob(16);
            break;
            {
            _flick_abort29:
              goto _flick_abort23;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, xdr, suntcp, _flick_abort30);
            break;
            {
            _flick_abort30:
              goto _flick_abort23;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort31);
            flick_suntcp_decode_end_glob(16);
            break;
            {
            _flick_abort31:
              goto _flick_abort23;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort23:
    flick_corba_client_error(xdr, sun, _flick_abort22);
  _flick_abort22:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_unsigned_long Atomic_test_ULong(Atomic_test _obj, CORBA_unsigned_long a, CORBA_unsigned_long *b, CORBA_unsigned_long *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_unsigned_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort33);
  }
  {
    flick_suntcp_encode_new_glob(52, _flick_abort33);
    flick_suntcp_encode_new_chunk(52);
    flick_xdr_encode_unsigned32(0, 6, flick_unsigned32_t );
    flick_xdr_encode_char8(4, 'U', flick_char8_t );
    flick_xdr_encode_char8(8, 'L', flick_char8_t );
    flick_xdr_encode_char8(12, 'o', flick_char8_t );
    flick_xdr_encode_char8(16, 'n', flick_char8_t );
    flick_xdr_encode_char8(20, 'g', flick_char8_t );
    flick_xdr_encode_char8(24, 0, flick_char8_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(32, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(36, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(40, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(44, a, CORBA_unsigned_long );
    flick_xdr_encode_unsigned32(48, *b, CORBA_unsigned_long );
    flick_suntcp_encode_end_chunk(52);
    flick_suntcp_encode_end_glob(52);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort33);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort33);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_check_span(4, _flick_abort33);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_check_span(12, _flick_abort39);
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_unsigned32(0, _return, CORBA_unsigned_long );
            flick_xdr_decode_unsigned32(4, *b, CORBA_unsigned_long );
            flick_xdr_decode_unsigned32(8, *c, CORBA_unsigned_long );
            flick_suntcp_decode_end_chunk(12);
            flick_suntcp_decode_end_glob(16);
            break;
            {
            _flick_abort39:
              goto _flick_abort33;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, xdr, suntcp, _flick_abort40);
            break;
            {
            _flick_abort40:
              goto _flick_abort33;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort41);
            flick_suntcp_decode_end_glob(16);
            break;
            {
            _flick_abort41:
              goto _flick_abort33;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort33:
    flick_corba_client_error(xdr, sun, _flick_abort32);
  _flick_abort32:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_float Atomic_test_Float(Atomic_test _obj, CORBA_float a, CORBA_float *b, CORBA_float *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_float _return;

  _return = 0.000000;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort43);
  }
  {
    flick_suntcp_encode_new_glob(52, _flick_abort43);
    flick_suntcp_encode_new_chunk(52);
    flick_xdr_encode_unsigned32(0, 6, flick_unsigned32_t );
    flick_xdr_encode_char8(4, 'F', flick_char8_t );
    flick_xdr_encode_char8(8, 'l', flick_char8_t );
    flick_xdr_encode_char8(12, 'o', flick_char8_t );
    flick_xdr_encode_char8(16, 'a', flick_char8_t );
    flick_xdr_encode_char8(20, 't', flick_char8_t );
    flick_xdr_encode_char8(24, 0, flick_char8_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(32, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(36, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(40, (unsigned int) 0, unsigned int );
    flick_xdr_encode_float32(44, a, CORBA_float );
    flick_xdr_encode_float32(48, *b, CORBA_float );
    flick_suntcp_encode_end_chunk(52);
    flick_suntcp_encode_end_glob(52);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort43);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort43);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_check_span(4, _flick_abort43);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_check_span(12, _flick_abort49);
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_float32(0, _return, CORBA_float );
            flick_xdr_decode_float32(4, *b, CORBA_float );
            flick_xdr_decode_float32(8, *c, CORBA_float );
            flick_suntcp_decode_end_chunk(12);
            flick_suntcp_decode_end_glob(16);
            break;
            {
            _flick_abort49:
              goto _flick_abort43;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, xdr, suntcp, _flick_abort50);
            break;
            {
            _flick_abort50:
              goto _flick_abort43;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort51);
            flick_suntcp_decode_end_glob(16);
            break;
            {
            _flick_abort51:
              goto _flick_abort43;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort43:
    flick_corba_client_error(xdr, sun, _flick_abort42);
  _flick_abort42:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_double Atomic_test_Double(Atomic_test _obj, CORBA_double a, CORBA_double *b, CORBA_double *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_double _return;

  _return = 0.000000;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort53);
  }
  {
    flick_suntcp_encode_new_glob(64, _flick_abort53);
    flick_suntcp_encode_new_chunk(64);
    flick_xdr_encode_unsigned32(0, 7, flick_unsigned32_t );
    flick_xdr_encode_char8(4, 'D', flick_char8_t );
    flick_xdr_encode_char8(8, 'o', flick_char8_t );
    flick_xdr_encode_char8(12, 'u', flick_char8_t );
    flick_xdr_encode_char8(16, 'b', flick_char8_t );
    flick_xdr_encode_char8(20, 'l', flick_char8_t );
    flick_xdr_encode_char8(24, 'e', flick_char8_t );
    flick_xdr_encode_char8(28, 0, flick_char8_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(32, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(36, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(40, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(44, (unsigned int) 0, unsigned int );
    flick_xdr_encode_float64(48, a, CORBA_double );
    flick_xdr_encode_float64(56, *b, CORBA_double );
    flick_suntcp_encode_end_chunk(64);
    flick_suntcp_encode_end_glob(64);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort53);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort53);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(28);
      flick_suntcp_check_span(4, _flick_abort53);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_check_span(24, _flick_abort59);
            flick_suntcp_decode_new_chunk(24);
            flick_xdr_decode_float64(0, _return, CORBA_double );
            flick_xdr_decode_float64(8, *b, CORBA_double );
            flick_xdr_decode_float64(16, *c, CORBA_double );
            flick_suntcp_decode_end_chunk(24);
            flick_suntcp_decode_end_glob(28);
            break;
            {
            _flick_abort59:
              goto _flick_abort53;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(28);
            flick_corba_decode_system_exception(_ev, xdr, suntcp, _flick_abort60);
            break;
            {
            _flick_abort60:
              goto _flick_abort53;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort61);
            flick_suntcp_decode_end_glob(28);
            break;
            {
            _flick_abort61:
              goto _flick_abort53;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort53:
    flick_corba_client_error(xdr, sun, _flick_abort52);
  _flick_abort52:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_boolean Atomic_test_Boolean(Atomic_test _obj, CORBA_boolean a, CORBA_boolean *b, CORBA_boolean *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_boolean _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort63);
  }
  {
    flick_suntcp_encode_new_glob(60, _flick_abort63);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 8, flick_unsigned32_t );
    flick_xdr_encode_char8(4, 'B', flick_char8_t );
    flick_xdr_encode_char8(8, 'o', flick_char8_t );
    flick_xdr_encode_char8(12, 'o', flick_char8_t );
    flick_xdr_encode_char8(16, 'l', flick_char8_t );
    flick_xdr_encode_char8(20, 'e', flick_char8_t );
    flick_xdr_encode_char8(24, 'a', flick_char8_t );
    flick_xdr_encode_char8(28, 'n', flick_char8_t );
    flick_xdr_encode_char8(32, 0, flick_char8_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(36, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(40, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(44, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(48, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned8(52, a, CORBA_boolean );
    flick_xdr_encode_unsigned8(56, *b, CORBA_boolean );
    flick_suntcp_encode_end_chunk(60);
    flick_suntcp_encode_end_glob(60);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort63);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort63);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_check_span(4, _flick_abort63);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_check_span(12, _flick_abort69);
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_unsigned8(0, _return, CORBA_boolean );
            flick_xdr_decode_unsigned8(4, *b, CORBA_boolean );
            flick_xdr_decode_unsigned8(8, *c, CORBA_boolean );
            flick_suntcp_decode_end_chunk(12);
            flick_suntcp_decode_end_glob(16);
            break;
            {
            _flick_abort69:
              goto _flick_abort63;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, xdr, suntcp, _flick_abort70);
            break;
            {
            _flick_abort70:
              goto _flick_abort63;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort71);
            flick_suntcp_decode_end_glob(16);
            break;
            {
            _flick_abort71:
              goto _flick_abort63;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort63:
    flick_corba_client_error(xdr, sun, _flick_abort62);
  _flick_abort62:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_char Atomic_test_Char(Atomic_test _obj, CORBA_char a, CORBA_char *b, CORBA_char *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort73);
  }
  {
    flick_suntcp_encode_new_glob(48, _flick_abort73);
    flick_suntcp_encode_new_chunk(48);
    flick_xdr_encode_unsigned32(0, 5, flick_unsigned32_t );
    flick_xdr_encode_char8(4, 'C', flick_char8_t );
    flick_xdr_encode_char8(8, 'h', flick_char8_t );
    flick_xdr_encode_char8(12, 'a', flick_char8_t );
    flick_xdr_encode_char8(16, 'r', flick_char8_t );
    flick_xdr_encode_char8(20, 0, flick_char8_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(24, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(32, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(36, (unsigned int) 0, unsigned int );
    flick_xdr_encode_char8(40, a, CORBA_char );
    flick_xdr_encode_char8(44, *b, CORBA_char );
    flick_suntcp_encode_end_chunk(48);
    flick_suntcp_encode_end_glob(48);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort73);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort73);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_check_span(4, _flick_abort73);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_check_span(12, _flick_abort79);
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_char8(0, _return, CORBA_char );
            flick_xdr_decode_char8(4, *b, CORBA_char );
            flick_xdr_decode_char8(8, *c, CORBA_char );
            flick_suntcp_decode_end_chunk(12);
            flick_suntcp_decode_end_glob(16);
            break;
            {
            _flick_abort79:
              goto _flick_abort73;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, xdr, suntcp, _flick_abort80);
            break;
            {
            _flick_abort80:
              goto _flick_abort73;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort81);
            flick_suntcp_decode_end_glob(16);
            break;
            {
            _flick_abort81:
              goto _flick_abort73;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort73:
    flick_corba_client_error(xdr, sun, _flick_abort72);
  _flick_abort72:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_octet Atomic_test_Octet(Atomic_test _obj, CORBA_octet a, CORBA_octet *b, CORBA_octet *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_octet _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort83);
  }
  {
    flick_suntcp_encode_new_glob(52, _flick_abort83);
    flick_suntcp_encode_new_chunk(52);
    flick_xdr_encode_unsigned32(0, 6, flick_unsigned32_t );
    flick_xdr_encode_char8(4, 'O', flick_char8_t );
    flick_xdr_encode_char8(8, 'c', flick_char8_t );
    flick_xdr_encode_char8(12, 't', flick_char8_t );
    flick_xdr_encode_char8(16, 'e', flick_char8_t );
    flick_xdr_encode_char8(20, 't', flick_char8_t );
    flick_xdr_encode_char8(24, 0, flick_char8_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(32, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(36, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(40, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned8(44, a, CORBA_octet );
    flick_xdr_encode_unsigned8(48, *b, CORBA_octet );
    flick_suntcp_encode_end_chunk(52);
    flick_suntcp_encode_end_glob(52);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort83);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort83);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_check_span(4, _flick_abort83);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_check_span(12, _flick_abort89);
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_unsigned8(0, _return, CORBA_octet );
            flick_xdr_decode_unsigned8(4, *b, CORBA_octet );
            flick_xdr_decode_unsigned8(8, *c, CORBA_octet );
            flick_suntcp_decode_end_chunk(12);
            flick_suntcp_decode_end_glob(16);
            break;
            {
            _flick_abort89:
              goto _flick_abort83;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, xdr, suntcp, _flick_abort90);
            break;
            {
            _flick_abort90:
              goto _flick_abort83;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort91);
            flick_suntcp_decode_end_glob(16);
            break;
            {
            _flick_abort91:
              goto _flick_abort83;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort83:
    flick_corba_client_error(xdr, sun, _flick_abort82);
  _flick_abort82:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

