#include "namelens-server.h"

/* This is the runtime type information */
char *flick_interface_parents_onewaytest[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_onewaytest;
	s.vers_num = _VERS_onewaytest;

	reg_success = flick_server_register(s, &onewaytest_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_onewaytest(flick_marshal_stream_t _stream, onewaytest *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_onewaytest(flick_marshal_stream_t _stream, onewaytest *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort1);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t onewaytest_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t93_switch_tag;

    flick_suntcp_decode_new_glob(64);
    flick_suntcp_check_span(28, _flick_abort4);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t93_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t93_switch_tag)
      {
      case (unsigned int) 2:
        {
          char _t94_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t94_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t94_switch_tag)
            {
            case 'n':
              {
                char _t95_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t95_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t95_switch_tag)
                  {
                  case 0:
                    {
                      {
                        onewaytest _obj;
                        unsigned int _t96_ignore;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t97_storage;

                        flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort109);
                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                        flick_suntcp_decode_new_chunk(16);
                        flick_xdr_decode_unsigned32(0, _t96_ignore, unsigned int );
                        flick_xdr_decode_unsigned32(4, _t96_ignore, unsigned int );
                        flick_xdr_decode_unsigned32(8, _t96_ignore, unsigned int );
                        flick_xdr_decode_unsigned32(12, _t96_ignore, unsigned int );
                        _ev = (CORBA_Environment *)(&_t97_storage);
                        flick_suntcp_decode_end_chunk(16);
                        flick_suntcp_decode_end_glob(64);
                        flick_suntcp_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        onewaytest_n(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_suntcp_server_start_encode();
                        {
                          flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort109);
                          flick_suntcp_encode_new_glob(4, _flick_abort109);
                          flick_suntcp_encode_new_chunk(4);
                          flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_suntcp_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                flick_suntcp_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_suntcp_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort115);
                                break;
                                {
                                _flick_abort115:
                                  goto _flick_abort109;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort116);
                                flick_suntcp_encode_end_glob(4);
                                break;
                                {
                                _flick_abort116:
                                  goto _flick_abort109;
                                }
                              }
                            }
                        }
                        flick_suntcp_server_end_encode();
                        break;
                        {
                        _flick_abort109:
                          goto _flick_abort108;
                        }
                      }
                      break;
                      {
                      _flick_abort108:
                        goto _flick_abort4;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          char _t98_switch_tag;

          flick_suntcp_check_span(28, _flick_abort4);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t98_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t98_switch_tag)
            {
            case 'n':
              {
                char _t99_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t99_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t99_switch_tag)
                  {
                  case '2':
                    {
                      char _t100_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t100_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t100_switch_tag)
                        {
                        case 0:
                          {
                            {
                              onewaytest _obj;
                              unsigned int _t101_ignore;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t102_storage;

                              flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort118);
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(16);
                              flick_xdr_decode_unsigned32(0, _t101_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(4, _t101_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(8, _t101_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(12, _t101_ignore, unsigned int );
                              _ev = (CORBA_Environment *)(&_t102_storage);
                              flick_suntcp_decode_end_chunk(16);
                              flick_suntcp_decode_end_glob(64);
                              flick_suntcp_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              onewaytest_n2(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort118);
                                flick_suntcp_encode_new_glob(4, _flick_abort118);
                                flick_suntcp_encode_new_chunk(4);
                                flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_suntcp_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_suntcp_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_suntcp_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort124);
                                      break;
                                      {
                                      _flick_abort124:
                                        goto _flick_abort118;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort125);
                                      flick_suntcp_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort125:
                                        goto _flick_abort118;
                                      }
                                    }
                                  }
                              }
                              flick_suntcp_server_end_encode();
                              break;
                              {
                              _flick_abort118:
                                goto _flick_abort117;
                              }
                            }
                            break;
                            {
                            _flick_abort117:
                              goto _flick_abort4;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          char _t103_switch_tag;

          flick_suntcp_check_span(32, _flick_abort4);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t103_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t103_switch_tag)
            {
            case 'n':
              {
                char _t104_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t104_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t104_switch_tag)
                  {
                  case '2':
                    {
                      char _t105_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t105_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t105_switch_tag)
                        {
                        case '3':
                          {
                            char _t106_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t106_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t106_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    onewaytest _obj;
                                    unsigned int _t107_ignore;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t108_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort127);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(16);
                                    flick_xdr_decode_unsigned32(0, _t107_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t107_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t107_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t107_ignore, unsigned int );
                                    _ev = (CORBA_Environment *)(&_t108_storage);
                                    flick_suntcp_decode_end_chunk(16);
                                    flick_suntcp_decode_end_glob(64);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    onewaytest_n23(_obj, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort127);
                                      flick_suntcp_encode_new_glob(4, _flick_abort127);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(4);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(4);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort133);
                                            break;
                                            {
                                            _flick_abort133:
                                              goto _flick_abort127;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort134);
                                            flick_suntcp_encode_end_glob(4);
                                            break;
                                            {
                                            _flick_abort134:
                                              goto _flick_abort127;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort127:
                                      goto _flick_abort126;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort126:
                                    goto _flick_abort4;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t109_switch_tag;

          flick_suntcp_check_span(36, _flick_abort4);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t109_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t109_switch_tag)
            {
            case 'n':
              {
                char _t110_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t110_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t110_switch_tag)
                  {
                  case '2':
                    {
                      char _t111_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t111_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t111_switch_tag)
                        {
                        case '3':
                          {
                            char _t112_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t112_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t112_switch_tag)
                              {
                              case '4':
                                {
                                  char _t113_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t113_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t113_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          onewaytest _obj;
                                          unsigned int _t114_ignore;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t115_storage;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort136);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(16);
                                          flick_xdr_decode_unsigned32(0, _t114_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t114_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t114_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t114_ignore, unsigned int );
                                          _ev = (CORBA_Environment *)(&_t115_storage);
                                          flick_suntcp_decode_end_chunk(16);
                                          flick_suntcp_decode_end_glob(64);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          onewaytest_n234(_obj, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort136);
                                            flick_suntcp_encode_new_glob(4, _flick_abort136);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(4);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(4);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort142);
                                                  break;
                                                  {
                                                  _flick_abort142:
                                                    goto _flick_abort136;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort143);
                                                  flick_suntcp_encode_end_glob(4);
                                                  break;
                                                  {
                                                  _flick_abort143:
                                                    goto _flick_abort136;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort136:
                                            goto _flick_abort135;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort135:
                                          goto _flick_abort4;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            case 'i':
              {
                char _t116_switch_tag;

                flick_suntcp_check_span(36, _flick_abort4);
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t116_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t116_switch_tag)
                  {
                  case 's':
                    {
                      char _t117_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t117_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t117_switch_tag)
                        {
                        case '_':
                          {
                            char _t118_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t118_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t118_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t119_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t119_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t119_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_Object _obj;
                                          unsigned int _t120_ignore;
                                          CORBA_boolean _return;
                                          CORBA_char *_local_id;
                                          flick_unsigned32_t _t121_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t122_storage;
                                          char **_par;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort145);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t120_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t120_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t120_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t120_ignore, unsigned int );
                                          _return = 0;
                                          flick_xdr_decode_unsigned32(16, _t121_temp_string_len, flick_unsigned32_t );
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_decode_end_glob(64);
                                          flick_suntcp_decode_new_glob(1 * _t121_temp_string_len);
                                          flick_suntcp_check_span(1 * _t121_temp_string_len * 1, _flick_abort145);
                                          flick_suntcp_decode_new_chunk(1 * _t121_temp_string_len);
                                          if ((_t121_temp_string_len + 3) & ~3)
                                            {
                                              flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                            }
                                          else
                                            {
                                              {
                                                CORBA_char *_t_alloc_ptr;

                                                _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t121_temp_string_len + 1) * sizeof(CORBA_char )));
                                                if (!_t_alloc_ptr)
                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort145);
                                                _local_id = _t_alloc_ptr;
                                              }
                                              flick_xdr_decode_bcopy(0, _local_id, 1 * _t121_temp_string_len);
                                            }
                                          flick_suntcp_decode_end_chunk(1 * _t121_temp_string_len);
                                          flick_suntcp_decode_end_glob(1 * _t121_temp_string_len);
                                          flick_suntcp_decode_new_glob(3);
                                          flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                          flick_suntcp_check_span(0, _flick_abort148);
                                          _local_id[_t121_temp_string_len] = 0;
                                          _ev = (CORBA_Environment *)(&_t122_storage);
                                          _par = flick_interface_parents_onewaytest;
                                          flick_suntcp_decode_end_chunk(0);
                                          flick_suntcp_decode_end_glob(3);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort148);
                                            flick_suntcp_encode_new_glob(8, _flick_abort148);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort154);
                                                  break;
                                                  {
                                                  _flick_abort154:
                                                    goto _flick_abort148;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort155);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort155:
                                                    goto _flick_abort148;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort148:
                                            auto_flick_free(_local_id);
                                          _flick_abort145:
                                            goto _flick_abort144;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort144:
                                          goto _flick_abort4;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          char _t123_switch_tag;

          flick_suntcp_check_span(40, _flick_abort4);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t123_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t123_switch_tag)
            {
            case 'n':
              {
                char _t124_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t124_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t124_switch_tag)
                  {
                  case '2':
                    {
                      char _t125_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t125_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t125_switch_tag)
                        {
                        case '3':
                          {
                            char _t126_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t126_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t126_switch_tag)
                              {
                              case '4':
                                {
                                  char _t127_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t127_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t127_switch_tag)
                                    {
                                    case '5':
                                      {
                                        char _t128_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t128_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t128_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                onewaytest _obj;
                                                unsigned int _t129_ignore;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t130_storage;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort157);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(16);
                                                flick_xdr_decode_unsigned32(0, _t129_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t129_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t129_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t129_ignore, unsigned int );
                                                _ev = (CORBA_Environment *)(&_t130_storage);
                                                flick_suntcp_decode_end_chunk(16);
                                                flick_suntcp_decode_end_glob(64);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                onewaytest_n2345(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort157);
                                                  flick_suntcp_encode_new_glob(4, _flick_abort157);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(4);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort163);
                                                        break;
                                                        {
                                                        _flick_abort163:
                                                          goto _flick_abort157;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort164);
                                                        flick_suntcp_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort164:
                                                          goto _flick_abort157;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort157:
                                                  goto _flick_abort156;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort156:
                                                goto _flick_abort4;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t131_switch_tag;

          flick_suntcp_check_span(44, _flick_abort4);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t131_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t131_switch_tag)
            {
            case 'n':
              {
                char _t132_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t132_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t132_switch_tag)
                  {
                  case '2':
                    {
                      char _t133_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t133_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t133_switch_tag)
                        {
                        case '3':
                          {
                            char _t134_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t134_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t134_switch_tag)
                              {
                              case '4':
                                {
                                  char _t135_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t135_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t135_switch_tag)
                                    {
                                    case '5':
                                      {
                                        char _t136_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t136_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t136_switch_tag)
                                          {
                                          case '6':
                                            {
                                              char _t137_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t137_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t137_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      onewaytest _obj;
                                                      unsigned int _t138_ignore;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t139_storage;

                                                      flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort166);
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t138_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(4, _t138_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(8, _t138_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(12, _t138_ignore, unsigned int );
                                                      _ev = (CORBA_Environment *)(&_t139_storage);
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(64);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      onewaytest_n23456(_obj, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort166);
                                                        flick_suntcp_encode_new_glob(4, _flick_abort166);
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort172);
                                                              break;
                                                              {
                                                              _flick_abort172:
                                                                goto _flick_abort166;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort173);
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                              {
                                                              _flick_abort173:
                                                                goto _flick_abort166;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_suntcp_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort166:
                                                        goto _flick_abort165;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort165:
                                                      goto _flick_abort4;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(64);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t140_switch_tag;

          flick_suntcp_check_span(48, _flick_abort4);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t140_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t140_switch_tag)
            {
            case 'n':
              {
                char _t141_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t141_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t141_switch_tag)
                  {
                  case '2':
                    {
                      char _t142_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t142_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t142_switch_tag)
                        {
                        case '3':
                          {
                            char _t143_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t143_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t143_switch_tag)
                              {
                              case '4':
                                {
                                  char _t144_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t144_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t144_switch_tag)
                                    {
                                    case '5':
                                      {
                                        char _t145_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t145_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t145_switch_tag)
                                          {
                                          case '6':
                                            {
                                              char _t146_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t146_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t146_switch_tag)
                                                {
                                                case '7':
                                                  {
                                                    char _t147_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t147_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t147_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            onewaytest _obj;
                                                            unsigned int _t148_ignore;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t149_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort175);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t148_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t148_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t148_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t148_ignore, unsigned int );
                                                            _ev = (CORBA_Environment *)(&_t149_storage);
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(64);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            onewaytest_n234567(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort175);
                                                              flick_suntcp_encode_new_glob(4, _flick_abort175);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort181);
                                                                    break;
                                                                    {
                                                                    _flick_abort181:
                                                                      goto _flick_abort175;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort182);
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    break;
                                                                    {
                                                                    _flick_abort182:
                                                                      goto _flick_abort175;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort175:
                                                              goto _flick_abort174;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort174:
                                                            goto _flick_abort4;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                          flick_suntcp_decode_end_glob(64);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(64);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t150_switch_tag;

          flick_suntcp_check_span(52, _flick_abort4);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t150_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t150_switch_tag)
            {
            case 'n':
              {
                char _t151_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t151_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t151_switch_tag)
                  {
                  case '2':
                    {
                      char _t152_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t152_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t152_switch_tag)
                        {
                        case '3':
                          {
                            char _t153_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t153_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t153_switch_tag)
                              {
                              case '4':
                                {
                                  char _t154_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t154_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t154_switch_tag)
                                    {
                                    case '5':
                                      {
                                        char _t155_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t155_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t155_switch_tag)
                                          {
                                          case '6':
                                            {
                                              char _t156_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t156_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t156_switch_tag)
                                                {
                                                case '7':
                                                  {
                                                    char _t157_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t157_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t157_switch_tag)
                                                      {
                                                      case '8':
                                                        {
                                                          char _t158_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t158_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t158_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  onewaytest _obj;
                                                                  unsigned int _t159_ignore;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t160_storage;

                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort184);
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(16);
                                                                  flick_xdr_decode_unsigned32(0, _t159_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(4, _t159_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(8, _t159_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(12, _t159_ignore, unsigned int );
                                                                  _ev = (CORBA_Environment *)(&_t160_storage);
                                                                  flick_suntcp_decode_end_chunk(16);
                                                                  flick_suntcp_decode_end_glob(64);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                  onewaytest_n2345678(_obj, _ev);
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                  _stub_state.state = FLICK_STATE_MARSHAL;
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort184);
                                                                    flick_suntcp_encode_new_glob(4, _flick_abort184);
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    switch (_ev->_major)
                                                                      {
                                                                      case CORBA_NO_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_end_glob(4);
                                                                          break;
                                                                        }
                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_end_glob(4);
                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort190);
                                                                          break;
                                                                          {
                                                                          _flick_abort190:
                                                                            goto _flick_abort184;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort191);
                                                                          flick_suntcp_encode_end_glob(4);
                                                                          break;
                                                                          {
                                                                          _flick_abort191:
                                                                            goto _flick_abort184;
                                                                          }
                                                                        }
                                                                      }
                                                                  }
                                                                  flick_suntcp_server_end_encode();
                                                                  break;
                                                                  {
                                                                  _flick_abort184:
                                                                    goto _flick_abort183;
                                                                  }
                                                                }
                                                                break;
                                                                {
                                                                _flick_abort183:
                                                                  goto _flick_abort4;
                                                                }
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                flick_suntcp_decode_end_glob(64);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                          flick_suntcp_decode_end_glob(64);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(64);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t161_switch_tag;

          flick_suntcp_check_span(56, _flick_abort4);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t161_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t161_switch_tag)
            {
            case 'n':
              {
                char _t162_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t162_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t162_switch_tag)
                  {
                  case '2':
                    {
                      char _t163_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t163_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t163_switch_tag)
                        {
                        case '3':
                          {
                            char _t164_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t164_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t164_switch_tag)
                              {
                              case '4':
                                {
                                  char _t165_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t165_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t165_switch_tag)
                                    {
                                    case '5':
                                      {
                                        char _t166_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t166_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t166_switch_tag)
                                          {
                                          case '6':
                                            {
                                              char _t167_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t167_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t167_switch_tag)
                                                {
                                                case '7':
                                                  {
                                                    char _t168_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t168_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t168_switch_tag)
                                                      {
                                                      case '8':
                                                        {
                                                          char _t169_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t169_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t169_switch_tag)
                                                            {
                                                            case '9':
                                                              {
                                                                char _t170_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t170_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t170_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        onewaytest _obj;
                                                                        unsigned int _t171_ignore;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_Environment _t172_storage;

                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort193);
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(16);
                                                                        flick_xdr_decode_unsigned32(0, _t171_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(4, _t171_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(8, _t171_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(12, _t171_ignore, unsigned int );
                                                                        _ev = (CORBA_Environment *)(&_t172_storage);
                                                                        flick_suntcp_decode_end_chunk(16);
                                                                        flick_suntcp_decode_end_glob(64);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                        onewaytest_n23456789(_obj, _ev);
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                        _stub_state.state = FLICK_STATE_MARSHAL;
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort193);
                                                                          flick_suntcp_encode_new_glob(4, _flick_abort193);
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                          flick_suntcp_encode_end_chunk(4);
                                                                          switch (_ev->_major)
                                                                            {
                                                                            case CORBA_NO_EXCEPTION:
                                                                              {
                                                                                flick_suntcp_encode_end_glob(4);
                                                                                break;
                                                                              }
                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                              {
                                                                                flick_suntcp_encode_end_glob(4);
                                                                                flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort199);
                                                                                break;
                                                                                {
                                                                                _flick_abort199:
                                                                                  goto _flick_abort193;
                                                                                }
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort200);
                                                                                flick_suntcp_encode_end_glob(4);
                                                                                break;
                                                                                {
                                                                                _flick_abort200:
                                                                                  goto _flick_abort193;
                                                                                }
                                                                              }
                                                                            }
                                                                        }
                                                                        flick_suntcp_server_end_encode();
                                                                        break;
                                                                        {
                                                                        _flick_abort193:
                                                                          goto _flick_abort192;
                                                                        }
                                                                      }
                                                                      break;
                                                                      {
                                                                      _flick_abort192:
                                                                        goto _flick_abort4;
                                                                      }
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                      flick_suntcp_decode_end_glob(64);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                flick_suntcp_decode_end_glob(64);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                          flick_suntcp_decode_end_glob(64);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(64);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t173_switch_tag;

          flick_suntcp_check_span(60, _flick_abort4);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t173_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t173_switch_tag)
            {
            case 'n':
              {
                char _t174_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t174_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t174_switch_tag)
                  {
                  case '2':
                    {
                      char _t175_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t175_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t175_switch_tag)
                        {
                        case '3':
                          {
                            char _t176_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t176_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t176_switch_tag)
                              {
                              case '4':
                                {
                                  char _t177_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t177_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t177_switch_tag)
                                    {
                                    case '5':
                                      {
                                        char _t178_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t178_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t178_switch_tag)
                                          {
                                          case '6':
                                            {
                                              char _t179_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t179_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t179_switch_tag)
                                                {
                                                case '7':
                                                  {
                                                    char _t180_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t180_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t180_switch_tag)
                                                      {
                                                      case '8':
                                                        {
                                                          char _t181_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t181_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t181_switch_tag)
                                                            {
                                                            case '9':
                                                              {
                                                                char _t182_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t182_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t182_switch_tag)
                                                                  {
                                                                  case '0':
                                                                    {
                                                                      char _t183_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t183_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t183_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              onewaytest _obj;
                                                                              unsigned int _t184_ignore;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_Environment _t185_storage;

                                                                              flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort202);
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(16);
                                                                              flick_xdr_decode_unsigned32(0, _t184_ignore, unsigned int );
                                                                              flick_xdr_decode_unsigned32(4, _t184_ignore, unsigned int );
                                                                              flick_xdr_decode_unsigned32(8, _t184_ignore, unsigned int );
                                                                              flick_xdr_decode_unsigned32(12, _t184_ignore, unsigned int );
                                                                              _ev = (CORBA_Environment *)(&_t185_storage);
                                                                              flick_suntcp_decode_end_chunk(16);
                                                                              flick_suntcp_decode_end_glob(64);
                                                                              flick_suntcp_server_end_decode();
                                                                              flick_corba_init_environment();
                                                                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                              onewaytest_n234567890(_obj, _ev);
                                                                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                              _stub_state.state = FLICK_STATE_MARSHAL;
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort202);
                                                                                flick_suntcp_encode_new_glob(4, _flick_abort202);
                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                switch (_ev->_major)
                                                                                  {
                                                                                  case CORBA_NO_EXCEPTION:
                                                                                    {
                                                                                      flick_suntcp_encode_end_glob(4);
                                                                                      break;
                                                                                    }
                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                    {
                                                                                      flick_suntcp_encode_end_glob(4);
                                                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort208);
                                                                                      break;
                                                                                      {
                                                                                      _flick_abort208:
                                                                                        goto _flick_abort202;
                                                                                      }
                                                                                    }
                                                                                  default:
                                                                                    {
                                                                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort209);
                                                                                      flick_suntcp_encode_end_glob(4);
                                                                                      break;
                                                                                      {
                                                                                      _flick_abort209:
                                                                                        goto _flick_abort202;
                                                                                      }
                                                                                    }
                                                                                  }
                                                                              }
                                                                              flick_suntcp_server_end_encode();
                                                                              break;
                                                                              {
                                                                              _flick_abort202:
                                                                                goto _flick_abort201;
                                                                              }
                                                                            }
                                                                            break;
                                                                            {
                                                                            _flick_abort201:
                                                                              goto _flick_abort4;
                                                                            }
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                            flick_suntcp_decode_end_glob(64);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                      flick_suntcp_decode_end_glob(64);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                flick_suntcp_decode_end_glob(64);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                          flick_suntcp_decode_end_glob(64);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(64);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
          flick_suntcp_decode_end_glob(64);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort4:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort3);
  _flick_abort3:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

