#include "turtle-client-server.h"

/* This is the runtime type information */
char *flick_interface_parents_Client[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_Client;
	s.vers_num = _VERS_Client;

	reg_success = flick_server_register(s, &Client_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_Client(flick_marshal_stream_t _stream, Client *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Client(flick_marshal_stream_t _stream, Client *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort1);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t Client_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t52_switch_tag;

    flick_suntcp_decode_new_glob(60);
    flick_suntcp_check_span(44, _flick_abort4);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t52_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t52_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t53_switch_tag;

          flick_suntcp_check_span(52, _flick_abort4);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t53_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t53_switch_tag)
            {
            case 'S':
              {
                char _t54_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t54_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t54_switch_tag)
                  {
                  case 'e':
                    {
                      char _t55_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t55_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t55_switch_tag)
                        {
                        case 't':
                          {
                            char _t56_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t56_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t56_switch_tag)
                              {
                              case 'L':
                                {
                                  char _t57_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t57_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t57_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t58_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t58_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t58_switch_tag)
                                          {
                                          case 'f':
                                            {
                                              char _t59_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t59_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t59_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t60_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t60_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t60_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            Client _obj;
                                                            unsigned int _t61_ignore;
                                                            CORBA_long _return;
                                                            CORBA_long _local_speed;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t62_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort55);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(20);
                                                            flick_xdr_decode_unsigned32(0, _t61_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t61_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t61_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t61_ignore, unsigned int );
                                                            _return = 0;
                                                            flick_xdr_decode_signed32(16, _local_speed, CORBA_long );
                                                            _ev = (CORBA_Environment *)(&_t62_storage);
                                                            flick_suntcp_decode_end_chunk(20);
                                                            flick_suntcp_decode_end_glob(60);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = Client_SetLeft(_obj, _local_speed, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort55);
                                                              flick_suntcp_encode_new_glob(8, _flick_abort55);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort61);
                                                                    break;
                                                                    {
                                                                    _flick_abort61:
                                                                      goto _flick_abort55;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort62);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort62:
                                                                      goto _flick_abort55;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort55:
                                                              goto _flick_abort54;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort54:
                                                            goto _flick_abort4;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                          flick_suntcp_decode_end_glob(60);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(60);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(60);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(60);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(60);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(60);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(60);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(60);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t63_switch_tag;

          flick_suntcp_check_span(52, _flick_abort4);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t63_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t63_switch_tag)
            {
            case 'S':
              {
                char _t64_switch_tag;

                flick_suntcp_check_span(52, _flick_abort4);
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t64_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t64_switch_tag)
                  {
                  case 'e':
                    {
                      char _t65_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t65_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t65_switch_tag)
                        {
                        case 't':
                          {
                            char _t66_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t66_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t66_switch_tag)
                              {
                              case 'R':
                                {
                                  char _t67_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t67_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t67_switch_tag)
                                    {
                                    case 'i':
                                      {
                                        char _t68_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t68_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t68_switch_tag)
                                          {
                                          case 'g':
                                            {
                                              char _t69_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t69_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t69_switch_tag)
                                                {
                                                case 'h':
                                                  {
                                                    char _t70_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t70_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t70_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t71_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t71_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t71_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  Client _obj;
                                                                  unsigned int _t72_ignore;
                                                                  CORBA_long _return;
                                                                  CORBA_long _local_speed;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t73_storage;

                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort64);
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t72_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(4, _t72_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(8, _t72_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(12, _t72_ignore, unsigned int );
                                                                  _return = 0;
                                                                  flick_xdr_decode_signed32(16, _local_speed, CORBA_long );
                                                                  _ev = (CORBA_Environment *)(&_t73_storage);
                                                                  flick_suntcp_decode_end_chunk(20);
                                                                  flick_suntcp_decode_end_glob(60);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                  _return = Client_SetRight(_obj, _local_speed, _ev);
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                  _stub_state.state = FLICK_STATE_MARSHAL;
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort64);
                                                                    flick_suntcp_encode_new_glob(8, _flick_abort64);
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    switch (_ev->_major)
                                                                      {
                                                                      case CORBA_NO_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                          flick_suntcp_encode_end_chunk(4);
                                                                          flick_suntcp_encode_end_glob(8);
                                                                          break;
                                                                        }
                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_end_glob(8);
                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort70);
                                                                          break;
                                                                          {
                                                                          _flick_abort70:
                                                                            goto _flick_abort64;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort71);
                                                                          flick_suntcp_encode_end_glob(8);
                                                                          break;
                                                                          {
                                                                          _flick_abort71:
                                                                            goto _flick_abort64;
                                                                          }
                                                                        }
                                                                      }
                                                                  }
                                                                  flick_suntcp_server_end_encode();
                                                                  break;
                                                                  {
                                                                  _flick_abort64:
                                                                    goto _flick_abort63;
                                                                  }
                                                                }
                                                                break;
                                                                {
                                                                _flick_abort63:
                                                                  goto _flick_abort4;
                                                                }
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                flick_suntcp_decode_end_glob(60);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                          flick_suntcp_decode_end_glob(60);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(60);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(60);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(60);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(60);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(60);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(60);
                      break;
                    }
                  }
                break;
              }
            case 'G':
              {
                char _t74_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t74_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t74_switch_tag)
                  {
                  case 'e':
                    {
                      char _t75_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t75_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t75_switch_tag)
                        {
                        case 't':
                          {
                            char _t76_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t76_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t76_switch_tag)
                              {
                              case 'P':
                                {
                                  char _t77_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t77_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t77_switch_tag)
                                    {
                                    case 'h':
                                      {
                                        char _t78_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t78_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t78_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t79_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t79_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t79_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t80_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t80_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t80_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t81_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t81_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t81_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  Client _obj;
                                                                  unsigned int _t82_ignore;
                                                                  CORBA_long _return;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t83_storage;

                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort73);
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(16);
                                                                  flick_xdr_decode_unsigned32(0, _t82_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(4, _t82_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(8, _t82_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(12, _t82_ignore, unsigned int );
                                                                  _return = 0;
                                                                  _ev = (CORBA_Environment *)(&_t83_storage);
                                                                  flick_suntcp_decode_end_chunk(16);
                                                                  flick_suntcp_decode_end_glob(60);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                  _return = Client_GetPhoto(_obj, _ev);
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                  _stub_state.state = FLICK_STATE_MARSHAL;
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort73);
                                                                    flick_suntcp_encode_new_glob(8, _flick_abort73);
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    switch (_ev->_major)
                                                                      {
                                                                      case CORBA_NO_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                          flick_suntcp_encode_end_chunk(4);
                                                                          flick_suntcp_encode_end_glob(8);
                                                                          break;
                                                                        }
                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_end_glob(8);
                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort79);
                                                                          break;
                                                                          {
                                                                          _flick_abort79:
                                                                            goto _flick_abort73;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort80);
                                                                          flick_suntcp_encode_end_glob(8);
                                                                          break;
                                                                          {
                                                                          _flick_abort80:
                                                                            goto _flick_abort73;
                                                                          }
                                                                        }
                                                                      }
                                                                  }
                                                                  flick_suntcp_server_end_encode();
                                                                  break;
                                                                  {
                                                                  _flick_abort73:
                                                                    goto _flick_abort72;
                                                                  }
                                                                }
                                                                break;
                                                                {
                                                                _flick_abort72:
                                                                  goto _flick_abort4;
                                                                }
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                flick_suntcp_decode_end_glob(60);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                          flick_suntcp_decode_end_glob(60);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(60);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(60);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(60);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(60);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(60);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(60);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(60);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t84_switch_tag;

          flick_suntcp_check_span(56, _flick_abort4);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t84_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t84_switch_tag)
            {
            case 'G':
              {
                char _t85_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t85_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t85_switch_tag)
                  {
                  case 'e':
                    {
                      char _t86_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t86_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t86_switch_tag)
                        {
                        case 't':
                          {
                            char _t87_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t87_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t87_switch_tag)
                              {
                              case 'B':
                                {
                                  char _t88_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t88_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t88_switch_tag)
                                    {
                                    case 'u':
                                      {
                                        char _t89_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t89_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t89_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t90_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t90_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t90_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t91_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t91_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t91_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t92_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t92_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t92_switch_tag)
                                                            {
                                                            case 'n':
                                                              {
                                                                char _t93_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t93_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t93_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        Client _obj;
                                                                        unsigned int _t94_ignore;
                                                                        CORBA_long _return;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_Environment _t95_storage;

                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort82);
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(16);
                                                                        flick_xdr_decode_unsigned32(0, _t94_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(4, _t94_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(8, _t94_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(12, _t94_ignore, unsigned int );
                                                                        _return = 0;
                                                                        _ev = (CORBA_Environment *)(&_t95_storage);
                                                                        flick_suntcp_decode_end_chunk(16);
                                                                        flick_suntcp_decode_end_glob(60);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                        _return = Client_GetButton(_obj, _ev);
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                        _stub_state.state = FLICK_STATE_MARSHAL;
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort82);
                                                                          flick_suntcp_encode_new_glob(8, _flick_abort82);
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                          flick_suntcp_encode_end_chunk(4);
                                                                          switch (_ev->_major)
                                                                            {
                                                                            case CORBA_NO_EXCEPTION:
                                                                              {
                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                flick_suntcp_encode_end_glob(8);
                                                                                break;
                                                                              }
                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                              {
                                                                                flick_suntcp_encode_end_glob(8);
                                                                                flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort88);
                                                                                break;
                                                                                {
                                                                                _flick_abort88:
                                                                                  goto _flick_abort82;
                                                                                }
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort89);
                                                                                flick_suntcp_encode_end_glob(8);
                                                                                break;
                                                                                {
                                                                                _flick_abort89:
                                                                                  goto _flick_abort82;
                                                                                }
                                                                              }
                                                                            }
                                                                        }
                                                                        flick_suntcp_server_end_encode();
                                                                        break;
                                                                        {
                                                                        _flick_abort82:
                                                                          goto _flick_abort81;
                                                                        }
                                                                      }
                                                                      break;
                                                                      {
                                                                      _flick_abort81:
                                                                        goto _flick_abort4;
                                                                      }
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                      flick_suntcp_decode_end_glob(60);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                flick_suntcp_decode_end_glob(60);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                          flick_suntcp_decode_end_glob(60);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(60);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(60);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(60);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(60);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(60);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(60);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(60);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t96_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t96_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t96_switch_tag)
            {
            case 'i':
              {
                char _t97_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t97_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t97_switch_tag)
                  {
                  case 's':
                    {
                      char _t98_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t98_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t98_switch_tag)
                        {
                        case '_':
                          {
                            char _t99_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t99_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t99_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t100_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t100_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t100_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_Object _obj;
                                          unsigned int _t101_ignore;
                                          CORBA_boolean _return;
                                          CORBA_char *_local_id;
                                          flick_unsigned32_t _t102_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t103_storage;
                                          char **_par;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort91);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t101_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t101_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t101_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t101_ignore, unsigned int );
                                          _return = 0;
                                          flick_xdr_decode_unsigned32(16, _t102_temp_string_len, flick_unsigned32_t );
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_decode_end_glob(60);
                                          flick_suntcp_decode_new_glob(1 * _t102_temp_string_len);
                                          flick_suntcp_check_span(1 * _t102_temp_string_len * 1, _flick_abort91);
                                          flick_suntcp_decode_new_chunk(1 * _t102_temp_string_len);
                                          if ((_t102_temp_string_len + 3) & ~3)
                                            {
                                              flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                            }
                                          else
                                            {
                                              {
                                                CORBA_char *_t_alloc_ptr;

                                                _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t102_temp_string_len + 1) * sizeof(CORBA_char )));
                                                if (!_t_alloc_ptr)
                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort91);
                                                _local_id = _t_alloc_ptr;
                                              }
                                              flick_xdr_decode_bcopy(0, _local_id, 1 * _t102_temp_string_len);
                                            }
                                          flick_suntcp_decode_end_chunk(1 * _t102_temp_string_len);
                                          flick_suntcp_decode_end_glob(1 * _t102_temp_string_len);
                                          flick_suntcp_decode_new_glob(3);
                                          flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                          flick_suntcp_check_span(0, _flick_abort94);
                                          _local_id[_t102_temp_string_len] = 0;
                                          _ev = (CORBA_Environment *)(&_t103_storage);
                                          _par = flick_interface_parents_Client;
                                          flick_suntcp_decode_end_chunk(0);
                                          flick_suntcp_decode_end_glob(3);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort94);
                                            flick_suntcp_encode_new_glob(8, _flick_abort94);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort100);
                                                  break;
                                                  {
                                                  _flick_abort100:
                                                    goto _flick_abort94;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort101);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort101:
                                                    goto _flick_abort94;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort94:
                                            auto_flick_free(_local_id);
                                          _flick_abort91:
                                            goto _flick_abort90;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort90:
                                          goto _flick_abort4;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(60);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(60);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(60);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(60);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(60);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
          flick_suntcp_decode_end_glob(60);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort4:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort3);
  _flick_abort3:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

